<?php
/*
    css and customizer controls definitions
    integrated in core theme
*/
if( ! defined( 'ABSPATH' ) ) exit;

class controls {

    // customizer controls
    /*
        $controls = array(  
            // panel 'panel_xxx' 
            // https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_control
            '--var'|'VAR'  => array(                // '--var': control of css vars | 'VAR': non-controls or other mods
                'section'       => 'section_xxx',           // customizer section name
                'priority'      => '$priority',             // priority order in customizer section column (optional)
                'type'          => '$controltype',          // control type
                'label'         => 'Label',                 // Label/Headline (optional)
                'description'   => 'Lorem ipsum do',        // description (optional)
                'mod'           => 'xxx_yyy_zzz',           // name of thememod
                'default'       => ''|'--var'|'$default',   // default value without 'unit'
                'unit'          => ''|'px'|'em'|'%'|'s',    // unit of value (optional)
                'value'         => '$value',                // computed value
                'transport'     => 'postMessage'|'refresh', // preview behaviour
                // type == radio || type == select
                'choices'       => array(                   // array of choices for radio|select
                    $val1 => $label1, 
                    $val2 => $label2, 
                    // ... 
                ),   
                // type == range
                'lbl'           => 'label:',                // range control: lbl + value + unit
                'input_attrs'   => array(                   // input attributes for range control
                    'min' => $min, 
                    'max' => $max, 
                    'step'  => $step 
                ),
                // type == group
                'input_attrs'   => array(                   // number of children in group
                    'children' => $num 
                ),
                // type == button
                'class'         => 'primary'|'secondary',   // extra button class (optional)

                // dependencies

                // dependency on single element without value
                'dependency'    => $mod,        // only works with elements of type checkbox, select, radio, text and textarea
                // - or -
                // dependency on single elements
                'dependency'    => array(
                    // single element and value(s) this control depends on
                    'element'   => $mod,        // element this control is dependent on
                    'value'     => array(       // option for dependent element value (details in multiples elements example)
                        $val1,                  // single value or array of values to match
                        $val2, 
                        // ...
                    ),
                ),
                // - or -
                // dependency on multiples elements
                'dependency'    => array(
                    'operator'  => $op,         // operator for multiple dependencies: 'and'|'or' (optional default: and)
                    // any number of elements and value(s) this control depends on
                    array(
                        'element'   => $mod1,   // first element this control is dependent on
                        'value'     => array(   // option for dependent element value: 'value'|'not_value'|'smaller'|'bigger'
                            $val11,             // single value or array of values to match
                            $val12, 
                            // ...
                        ),
                    ),
                    array(
                        'element'   => $mod2,   // second element this control is dependent on
                        'not_value' => $val2,   // single value or array of values to match
                    ),
                    // only for elements of type range, text and textarea
                    array(
                        'element'   => $mod3,   // next element this control is dependent on
                        'smaller'   => $val3,   // single integer value to compare (text and textarea compare charactercount)
                    ),
                    array(
                        'element'   => $mod4,   // next element this control is dependent on
                        'bigger'    => $val4,   // single integer value to compare (text and textarea compare charactercount)
                    ),
                    // ...
                ),

            ),
            // ...
        );
        $controltypes = array(
            // unsupported defaults
            // 'dropdown-pages', 'email', 'url', 'number', 'hidden', 'date',
            // without setting
            'separator',
            'sub_separator',
            'info',
            'group',
            'button',
            // defaults
            'checkbox',
            'radio',
            'select',
            'text',
            'textarea',
            // custom
            'range',
            'image',
            'shadow',
            'preset',
            // font
            'fontfamily',
            'ffselect',
            // color
            'color',
            'acolor',
            'colselect',
        );
    */

    public static $root = array(
        /* 
           panel 'panel_more' 
        */
        /* section 'section_features' */
        'FLOADseperator'     => array( 'section' => 'section_features', 'type' => 'separator', 'label' => 'Aufbauseite laden', 'mod' => 'sep_pageloader' ),
        'LOADenable'         => array( 'section' => 'section_features', 'type' => 'checkbox',  'label' => 'aktivieren', 'description' => 'Wenn du im Customizer einen Bereich öffnest, wird automatisch die passende Sektion der Aufbauseite geladen.',
                                                                                                    'mod' => 'enable_pageloader', 'default' => 1 ),
        'FColseparator'     => array( 'section' => 'section_features', 'type' => 'separator', 'label' => 'Farbkonzept 2.0', 'mod' => 'sep_colorconcept' ),
        'COLenable'         => array( 'section' => 'section_features', 'type' => 'checkbox',  'label' => 'neues Konzept aktivieren', 'description' => 'Das Farbkonzept definiert Farben global und sorgt so dafür, dass an jeder Setelle immer der korrekte Farbwert genutzt wird. Eine Änderung der Farbe ändert diese an jeder Stelle, an der sie verwendet wird.', 
                                                                                                    'mod' => 'enable_colorconcept', 'default' => 0, 'transport' => 'refresh' ),
        'COLinfo'           => array( 'section' => 'section_features', 'type' => 'info',      'description' => 'Du nutzt aktuell ein Beta-Feature. Mit dem Aktivieren des neuen Features wird das alte dauerhaft deaktiviert. Du kannst es nach dem Speichern deiner Seite nicht wieder aktivieren. Zukünftige Updates werden das alte Feature nicht mehr unterstützen.', 'mod' => 'colorconcept_info', 'input_attrs' => 'warning'),
        'FHEDseperator'     => array( 'section' => 'section_features', 'type' => 'separator', 'label' => 'Header 2.0', 'mod' => 'sep_headerconcept' ),
        'HEDenable'         => array( 'section' => 'section_features', 'type' => 'checkbox',  'label' => 'neues Konzept aktivieren', 'description' => 'Durch das neue Header-Konzept ist eine intuitive Gestaltung der gesamten Navigation der Seite möglich. Es unterstützt zudem frei gestaltbare Dropdowns jeglicher Größe und diverse WPML-Funktionen.', 
                                                                                                    'mod' => 'enable_headerconcept', 'default' => 0, 'transport' => 'refresh' ),
        'HEDinfo'           => array( 'section' => 'section_features', 'type' => 'info',      'description' => 'Du nutzt aktuell ein Beta-Feature. Mit dem Aktivieren des neuen Features wird das alte dauerhaft deaktiviert. Du kannst es nach dem Speichern deiner Seite nicht wieder aktivieren. Zukünftige Updates werden das alte Feature nicht mehr unterstützen.', 'mod' => 'headerconcept_info', 'input_attrs' => 'warning', 'dependency' => array( array( 'element' => 'enable_headerconcept', 'value' => true ))),
        'FPREseperator'     => array( 'section' => 'section_features', 'type' => 'separator', 'label' => 'Vorauswahl', 'mod' => 'sep_presetpicker', 'dependency' => 'enable_headerconcept' ),
        'PREenable'         => array( 'section' => 'section_features', 'type' => 'checkbox',  'label' => 'aktivieren', 'description' => 'In einigen Bereichen hast du die Möglichkeit, aus einem Set an voreingestellten Optionen zu wählen. Diese Option ist vor allem für ungeübte Nutzer sehr hilfreich.', 'mod' => 'enable_presetpicker', 'default' => 1, 'dependency' => 'enable_headerconcept' ),

        /* section 'section_grid' */
        'GRDCseparator'     => array( 'section' => 'section_grid', 'type' => 'separator', 'label' => 'Spalteneinstellungen', 'mod' => 'sep_basic_grid_col', 'priority' => 10 ),
        '--GRDmaxwidth'     => array( 'section' => 'section_grid', 'type' => 'text',      'description' => 'Maximale Breite', 'mod' => 'grid_maxwidth', 'priority' => 10, 'default' => '1620px', 'unit' => '' ),
        'GRDrowdefault'     => array( 'section' => 'section_grid', 'type' => 'select',    'description' => 'Standard Zeilenbreite', 'mod' => 'grid_row_default', 'priority' => 10, 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                              'choices' => array( 'row_l' => 'Zeile S', 'row_xl' => 'Zeile M', 'row_xxl' => 'Zeile L', 'row_xxxl' => 'Zeile XL' ) ),
        'GRDrowtdefault'    => array( 'section' => 'section_grid', 'type' => 'select',    'description' => 'Standard Zeilenbreite in Dynamic Templates', 'mod' => 'grid_row_template_default', 'priority' => 10, 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                              'choices' => array( 'row_l' => 'Zeile S', 'row_xl' => 'Zeile M', 'row_xxl' => 'Zeile L', 'row_xxxl' => 'Zeile XL' ) ),
        '--GRDrowl'         => array( 'section' => 'section_grid', 'type' => 'range',     'label' => 'Desktop-Geräte (bis 1024px)', 'lbl' => 'Padding Zeile S:', 'mod' => 'grid_rowl', 'priority' => 10, 'default' => 0.2, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxl'        => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile M:', 'mod' => 'grid_rowxl', 'priority' => 10, 'default' => 0.125, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxxl'       => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile L:', 'mod' => 'grid_rowxxl', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDgutter'       => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Gutter:', 'mod' => 'grid_gutter', 'priority' => 10, 'default' => 15, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        '--GRDrowlLG'       => array( 'section' => 'section_grid', 'type' => 'range',     'label' => 'Tablets (768 - 1024px)', 'lbl' => 'Padding Zeile S:', 'mod' => 'grid_rowl_lg', 'priority' => 10, 'default' => 0.15, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxlLG'      => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile M:', 'mod' => 'grid_rowxl_lg', 'priority' => 10, 'default' => 0.10, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxxlLG'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile L:', 'mod' => 'grid_rowxxl_lg', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDgutterLG'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Gutter:', 'mod' => 'grid_gutter_lg', 'priority' => 10, 'default' => 15, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        '--GRDrowlMD'       => array( 'section' => 'section_grid', 'type' => 'range',     'label' => 'Kleine Tablets (481 - 767px)', 'lbl' => 'Padding Zeile S:', 'mod' => 'grid_rowl_md', 'priority' => 10, 'default' => 0.10, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxlMD'      => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile M:', 'mod' => 'grid_rowxl_md', 'priority' => 10, 'default' => 0.075, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxxlMD'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile L:', 'mod' => 'grid_rowxxl_md', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDgutterMD'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Gutter:', 'mod' => 'grid_gutter_md', 'priority' => 10, 'default' => 15, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        '--GRDrowlSM'       => array( 'section' => 'section_grid', 'type' => 'range',     'label' => 'Mobilgeräte (bis 481px)', 'lbl' => 'Padding Zeile S:', 'mod' => 'grid_rowl_sm', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxlSM'      => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile M:', 'mod' => 'grid_rowxl_sm', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDrowxxlSM'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Padding Zeile L:', 'mod' => 'grid_rowxxl_sm', 'priority' => 10, 'default' => 0.05, 'unit' => '', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 0.5, 'step'  => 0.001 ) ),
        '--GRDgutterSM'     => array( 'section' => 'section_grid', 'type' => 'range',       'lbl' => 'Gutter:', 'mod' => 'grid_gutter_sm', 'priority' => 10, 'default' => 10, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        /* 
           panel 'panel_settings' 
        */
        /* section 'section_brand_logo' */
        'BRNDmobileLogo'    => array( 'section' => 'section_brand_logo', 'type' => 'image',      'label' => 'Logo für Mobilgeräte', 'mod' => 'mobile_logo', 'default' => '', 'transport' => 'refresh', 'priority' => 9 ),
        'BRNDlogoLink'      => array( 'section' => 'section_brand_logo', 'type' => 'checkbox',   'label' => 'Logo verlinken', 'description' => 'Bei Klick auf das Logo zur Startseite verlinken.', 'mod' => 'branding_logo_link', 'transport' => 'refresh', 'priority' => 9, 'default' => 1 ),

        /* section 'section_brand_fonts' */
        '--FNTpreset'          => array( 'section' => 'section_brand_fonts', 'type' => 'preset', 'label' => 'Vorauswahl', 'description' => 'Voreingestellte Schriftstile wählen', 'mod' => 'font_preset', 'default' => '01',
                                        'choices' => array(
                                            // 'none'  => 'kein Layout gewählt',
                                            '01'    => [
                                                'label' => 'slab',
                                                'img' => 'font/slab.svg',
                                                'mods' => [ "fontFamily1" => "Lato", "fontFamily2" => "Merriweather", "fontFamily3" => "" ]
                                            ],
                                            '02'    => [
                                                'label' => 'sans',
                                                'img' => 'font/sans.svg',
                                                'mods' => [ "fontFamily1" => "Roboto", "fontFamily2" => "Roboto", "fontFamily3" => "" ]
                                            ],
                                            '03'    => [
                                                'label' => 'serif',
                                                'img' => 'font/serif.svg',
                                                'mods' => [  "fontFamily1" => "Lora", "fontFamily2" => "Lora", "fontFamily3" => "" ]
                                            ],
                                            'custom'=> 'angepasste Schriftstile', // this way the wording for the custom option can be changed
                                        ),
                                        'input_attrs' => [
                                            // 'info' => 'Die Vorauswahl ist eine Hilfestellung, durch welche automatisch einige Regler und Felder voreingestellt werden.',
                                            // 'warning' => 'Achtung: Wenn du ein vorgefertigtes Layout aktivierst, werden einige deiner Einstellungen möglicherweise überschrieben.'
                                        ],
                                        'dependency' => array( 'enable_presetpicker')
                                    ),

        'FNT1separator'    => array( 'section' => 'section_brand_fonts', 'type' => 'separator',  'label' => 'Schriftart 1', 'description' => 'Wird standardmäßig für alle Fließtexte, Buttons und Formulare verwendet.', 'mod' => 'sep_typo_1' ),
        '--fontFamily1'    => array( 'section' => 'section_brand_fonts', 'type' => 'fontfamily',   'mod' => 'fontFamily1', 'default' => 'Arial, Helvetica, sans-serif' ),
        'FNT2separator'    => array( 'section' => 'section_brand_fonts', 'type' => 'separator',  'label' => 'Schriftart 2', 'description' => 'Wird standardmäßig für Überschriften verwendet.', 'mod' => 'sep_typo_2' ),
        '--fontFamily2'    => array( 'section' => 'section_brand_fonts', 'type' => 'fontfamily',   'mod' => 'fontFamily2', 'default' => 'Arial, Helvetica, sans-serif' ),
        'FNT3separator'    => array( 'section' => 'section_brand_fonts', 'type' => 'separator',  'label' => 'Schriftart 3', 'mod' => 'sep_typo_3' ),
        '--fontFamily3'    => array( 'section' => 'section_brand_fonts', 'type' => 'fontfamily',   'mod' => 'fontFamily3', 'default' => '' ),
        
        /* section 'section_brand_colors' */
        '--COLpreset'          => array( 'section' => 'section_brand_colors', 'type' => 'preset', 'label' => 'Vorauswahl', 'description' => 'Voreingestellte Farbschemas wählen', 'mod' => 'color_preset', 'default' => '01',
                                        'choices' => array(
                                            // 'none'  => 'kein Layout gewählt',
                                            '01'    => [
                                                'label' => 'standard',
                                                'img' => 'color/default.svg',
                                                'mods' => [ "color11" => "#f9dd61", "color12" => "#f2b25a", "color13" => "#4f309e", "color31" => "#1f0026", "color21" => "#3d3549", "color32" => "#9992a3", "color22" => "#cbc6d1", "color33" => "#e9e6ed", "color23" => "#f9f7ff", "color41" => "#235067", "color51" => "#cdeef7", "color42" => "#225945", "color52" => "#daf5de", "color43" => "#991200", "color53" => "#ffe4e4" ]
                                            ],
                                            '02'    => [
                                                'label' => 'rot',
                                                'img' => 'color/red.svg',
                                                'mods' => [ "color11" => "#fc4737", "color12" => "#d30707", "color13" => "#8e0000", "color31" => "#232323", "color21" => "#616670", "color32" => "#cccccc", "color22" => "#dbdbdb", "color33" => "#efefef", "color23" => "#f9f9f9", "color41" => "#235067", "color51" => "#cdeef7", "color42" => "#225945", "color52" => "#daf5de", "color43" => "#991200", "color53" => "#ffe4e4" ]
                                            ],
                                            '03'    => [
                                                'label' => 'blau',
                                                'img' => 'color/blue.svg',
                                                'mods' => [  "color11" => "#4864e6", "color12" => "#68a9ff", "color13" => "#002c7a", "color31" => "#001633", "color21" => "#4a5566", "color32" => "#9bafc6", "color22" => "#cedde8", "color33" => "#e8f1f7", "color23" => "#f4f7ff", "color41" => "#235067", "color51" => "#cdeef7", "color42" => "#225945", "color52" => "#daf5de", "color43" => "#991200", "color53" => "#ffe4e4" ]
                                            ],
                                            '04'    => [
                                                'label' => 'reduziert',
                                                'img' => 'color/reduced.svg', 
                                                'mods' => [ "color11" => "#0a0204", "color12" => "#828799", "color13" => "#5ce8b4", "color31" => "#27282d", "color21" => "#616670", "color32" => "#bebfd6", "color22" => "#e3e1ed", "color33" => "#f0ebff", "color23" => "#f8f5ff", "color41" => "#235067", "color51" => "#cdeef7", "color42" => "#225945", "color52" => "#daf5de", "color43" => "#991200", "color53" => "#ffe4e4" ]
                                            ],
                                            'custom'=> 'angepasstes Farbschema', // this way the wording for the custom option can be changed
                                        ),
                                        'input_attrs' => [
                                            // 'info' => 'Die Vorauswahl ist eine Hilfestellung, durch welche automatisch einige Regler und Felder voreingestellt werden.',
                                            // 'warning' => 'Achtung: Wenn du ein vorgefertigtes Layout aktivierst, werden einige deiner Einstellungen möglicherweise überschrieben.'
                                        ],
                                        'dependency' => array( 'enable_presetpicker')
                                    ),

        'COL1separator'     => array( 'section' => 'section_brand_colors', 'type' => 'separator', 'label' => 'Branding Farben', 'mod' => 'sep_colors_1' ),
        '--color11'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Primär', 'mod' => 'color11', 'default' => '#f0c432' ),
        '--color12'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Sekundär', 'mod' => 'color12', 'default' => '#fbe853' ),
        '--color13'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Alternative', 'mod' => 'color13', 'default' => '#ffd64e' ),
        'COL2separator'     => array( 'section' => 'section_brand_colors', 'type' => 'separator', 'label' => 'Dunkle Farben', 'mod' => 'sep_colors_2' ),
        '--color31'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Sehr dunkel', 'mod' => 'color31', 'default' => '#202221' ),
        '--color21'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Dunkel', 'mod' => 'color21', 'default' => '#393d3d' ),
        '--color32'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Leicht dunkel', 'mod' => 'color32', 'default' => '#777777' ),
        
        'COL3separator'     => array( 'section' => 'section_brand_colors', 'type' => 'separator', 'label' => 'Helle Farben', 'mod' => 'sep_colors_3' ),
        '--color22'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Leicht hell', 'mod' => 'color22', 'default' => '#cfcfcf' ),
        '--color33'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Hell', 'mod' => 'color33', 'default' => '#ececec' ),
        '--color23'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Sehr hell', 'mod' => 'color23', 'default' => '#ffffff' ),

        'COLMseparator'     => array( 'section' => 'section_brand_colors', 'type' => 'separator', 'label' => 'Weitere Farben', 'mod' => 'sep_colors_more' ),
        'COLsignalgroup'    => array( 'section' => 'section_brand_colors', 'type' => 'group',     'label' => 'Signalfarben', 'description' => 'anzeigen', 'mod' => 'group_colors_signal', 'input_attrs' => array( 'children' => 6 ) ),
        '--color41'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'label' => 'Hinweismeldung', 'description' => 'Dunkel', 'mod' => 'color41', 'default' => '#235067' ),
        '--color51'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Hell', 'mod' => 'color51', 'default' => '#cdeef7' ),
        '--color42'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'label' => 'Erfolgsmeldung', 'description' => 'Dunkel', 'mod' => 'color42', 'default' => '#225945' ),
        '--color52'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Hell', 'mod' => 'color52', 'default' => '#daf5de' ),
        '--color43'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'label' => 'Fehlermeldung', 'description' => 'Dunkel', 'mod' => 'color43', 'default' => '#991200' ),
        '--color53'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Hell', 'mod' => 'color53', 'default' => '#ffe4e4' ),
        'COLdefaultgroup'    => array( 'section' => 'section_brand_colors', 'type' => 'group',    'label' => 'Grundfarben', 'description' => 'anzeigen', 'mod' => 'group_colors_default', 'input_attrs' => array( 'children' => 3 ) ),
        '--color61'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Schwarz', 'mod' => 'color61', 'default' => '#000000' ),
        '--color62'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Weiß', 'mod' => 'color62', 'default' => '#ffffff' ),
        '--color63'          => array( 'section' => 'section_brand_colors', 'type' => 'acolor',     'description' => 'Transparent', 'mod' => 'color63', 'default' => 'transparent' ),

        /* section 'section_basics' */
        '--BDpreset'          => array( 'section' => 'section_brand_basics', 'type' => 'preset', 'label' => 'Vorauswahl', 'description' => 'Voreingestellte Box-Styles wählen', 'mod' => 'body_preset', 'default' => '01',
                                        'choices' => array(
                                            // 'none'  => 'kein Layout gewählt',
                                            '01'    => [
                                                'label' => 'eckig',
                                                'img' => 'box/hard.svg',
                                                'mods' => [
                                                    "navi_header_border_radius" => "0",
                                                    "navi_header_logo_border_radius" => "0",
                                                    "navi_header_menu_border_radius" => "0",
                                                    "navi_header_burger_border_radius" => "0",
                                                    "navi_header_item_border_radius" => "0",
                                                    "navi_header_off_border_radius" => "0",
                                                    "navi_header_off_item_border_radius" => "0",
                                                    "drop_border_radius" => "0",
                                                    "drop_tab_style" => "triangle",
                                                    "drop_tab_border_radius" => "0",
                                                    "drop_tab_height" => "12",
                                                    "drop_tab_width" => "20",
                                                    "drop_tab_margin" => "-1",
                                                    "dropitem_border_radius" => "0",
                                                    "navi_footer_border_radius" => "0",
                                                    "navi_footer_item_border_radius" => "0",
                                                    "navi_header_sec_border_radius" => "0",
                                                    "navi_header_sec_logo_border_radius" => "0",
                                                    "navi_header_sec_menu_border_radius" => "0",
                                                    "navi_header_sec_burger_border_radius" => "0",
                                                    "navi_header_sec_item_border_radius" => "0",
                                                    "navi_header_sec_off_border_radius" => "0",
                                                    "navi_header_sec_off_item_border_radius" => "0",
                                                    "buttons_border_radius" => "0",
                                                    "buttons_sec_border_radius" => "0",
                                                    "buttons_trd_border_radius" => "0",
                                                    "forms_border_radius" => "0",
                                                    "forms_sec_border_radius" => "0",
                                                    "forms_tooltip_border_radius" => "0",
                                                    "messages_border_radius" => "0",
                                                    "messages_border_width" => "5",
                                                    "woo_payment_border_radius" => "0",
                                                    "woo_payment_box_border_radius" => "0",
                                                    "woo_account_border_radius" => "0",
                                                    "woo_account_item_border_radius" => "0",
                                                    "woo_login_border_radius" => "0",
                                                    "woo_table_border_radius" => "0",
                                                    "woo_tab_border_radius" => "0"
                                                ]
                                            ],
                                            '02'    => [
                                                'label' => 'abgerundet',
                                                'img' => 'box/rounded.svg',
                                                'mods' => [
                                                    "navi_header_border_radius" => "5",
                                                    "navi_header_logo_border_radius" => "5",
                                                    "navi_header_menu_border_radius" => "5",
                                                    "navi_header_burger_border_radius" => "5",
                                                    "navi_header_item_border_radius" => "4",
                                                    "navi_header_off_border_radius" => "5",
                                                    "navi_header_off_item_border_radius" => "4",
                                                    "drop_border_radius" => "4",
                                                    "drop_tab_style" => "triangle",
                                                    "drop_tab_border_radius" => "1",
                                                    "drop_tab_height" => "12",
                                                    "drop_tab_width" => "20",
                                                    "drop_tab_margin" => "-1",
                                                    "dropitem_border_radius" => "4",
                                                    "navi_footer_border_radius" => "5",
                                                    "navi_footer_item_border_radius" => "4",
                                                    "navi_header_sec_border_radius" => "4",
                                                    "navi_header_sec_logo_border_radius" => "4",
                                                    "navi_header_sec_menu_border_radius" => "4",
                                                    "navi_header_sec_burger_border_radius" => "4",
                                                    "navi_header_sec_item_border_radius" => "4",
                                                    "navi_header_sec_off_border_radius" => "5",
                                                    "navi_header_sec_off_item_border_radius" => "4",
                                                    "buttons_border_radius" => "5",
                                                    "buttons_sec_border_radius" => "5",
                                                    "buttons_trd_border_radius" => "5",
                                                    "forms_border_radius" => "4",
                                                    "forms_sec_border_radius" => "4",
                                                    "forms_tooltip_border_radius" => "4",
                                                    "messages_border_radius" => "5",
                                                    "messages_border_width" => "5",
                                                    "woo_payment_border_radius" => "5",
                                                    "woo_payment_box_border_radius" => "5",
                                                    "woo_account_border_radius" => "5",
                                                    "woo_account_item_border_radius" => "5",
                                                    "woo_login_border_radius" => "5",
                                                    "woo_table_border_radius" => "5",
                                                    "woo_tab_border_radius" => "4"
                                                ]
                                            ],
                                            '03'    => [
                                                'label' => 'rund',
                                                'img' => 'box/round.svg',
                                                'mods' => [
                                                    "navi_header_border_radius" => "50",
                                                    "navi_header_logo_border_radius" => "50",
                                                    "navi_header_menu_border_radius" => "50",
                                                    "navi_header_burger_border_radius" => "50",
                                                    "navi_header_item_border_radius" => "50",
                                                    "navi_header_off_border_radius" => "50",
                                                    "navi_header_off_item_border_radius" => "50",
                                                    "drop_border_radius" => "20",
                                                    "drop_tab_style" => "triangle_rd",
                                                    "drop_tab_border_radius" => "6",
                                                    "drop_tab_height" => "22",
                                                    "drop_tab_width" => "22",
                                                    "drop_tab_margin" => "-5",
                                                    "dropitem_border_radius" => "50",
                                                    "navi_footer_border_radius" => "25",
                                                    "navi_footer_item_border_radius" => "50",
                                                    "navi_header_sec_border_radius" => "50",
                                                    "navi_header_sec_logo_border_radius" => "50",
                                                    "navi_header_sec_menu_border_radius" => "50",
                                                    "navi_header_sec_burger_border_radius" => "50",
                                                    "navi_header_sec_item_border_radius" => "50",
                                                    "navi_header_sec_off_border_radius" => "50",
                                                    "navi_header_sec_off_item_border_radius" => "50",
                                                    "buttons_border_radius" => "50",
                                                    "buttons_sec_border_radius" => "50",
                                                    "buttons_trd_border_radius" => "50",
                                                    "forms_border_radius" => "10",
                                                    "forms_sec_border_radius" => "10",
                                                    "forms_tooltip_border_radius" => "15",
                                                    "messages_border_radius" => "10",
                                                    "messages_border_width" => "10",
                                                    "woo_payment_border_radius" => "10",
                                                    "woo_payment_box_border_radius" => "10",
                                                    "woo_account_border_radius" => "25",
                                                    "woo_account_item_border_radius" => "50",
                                                    "woo_login_border_radius" => "25",
                                                    "woo_table_border_radius" => "25",
                                                    "woo_tab_border_radius" => "10"                                                    
                                                ]
                                            ],
                                            'custom'=> 'angepasste Box-Styles', // this way the wording for the custom option can be changed
                                        ),
                                        'input_attrs' => [
                                            // 'info' => 'Die Vorauswahl ist eine Hilfestellung, durch welche automatisch einige Regler und Felder voreingestellt werden.',
                                            // 'warning' => 'Achtung: Wenn du ein vorgefertigtes Layout aktivierst, werden einige deiner Einstellungen möglicherweise überschrieben.'
                                        ],
                                        'dependency' => array( 'enable_presetpicker')
                                    ),

        'Bseparator'     => array( 'section' => 'section_brand_basics', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_basic_general' ),
        '--BDbgcolor'       => array( 'section' => 'section_brand_basics', 'type' => 'colselect',   'description' => 'Hintergrundfarbe der Seite', 'mod' => 'body_background_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        '--BDcontentTop'    => array( 'section' => 'section_brand_basics', 'type' => 'range', 'label' => 'Abstände', 'lbl' => 'Über dem Inhalt:', 'mod' => 'body_content_top', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ) ),
        '--BDcontentBottom' => array( 'section' => 'section_brand_basics', 'type' => 'range',       'lbl' => 'Unter dem Inhalt:', 'mod' => 'body_content_bottom', 'default' => 60, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ) ),
        
        'BFntseparator'     => array( 'section' => 'section_brand_basics', 'type' => 'separator', 'label' => 'Schriftgrößen', 'mod' => 'sep_basic_fontsize' ),
        '--fontSize'        => array( 'section' => 'section_brand_basics', 'type' => 'range', 'label' => 'Desktop', 'lbl' => 'Groß (ab 1621px):', 'mod' => 'font_size', 'default' => 16, 'unit' => 'px' ),
        '--fontSizeLG'      => array( 'section' => 'section_brand_basics', 'type' => 'range',       'lbl' => 'Normal (1025-1620px):', 'mod' => 'font_size_lg', 'default' => 16, 'unit' => 'px' ),
        '--fontSizeMD'      => array( 'section' => 'section_brand_basics', 'type' => 'range', 'label' => 'Tablet', 'lbl' => 'Normal (768-1024px):', 'mod' => 'font_size_md', 'default' => 14, 'unit' => 'px' ),
        '--fontSizeSM'      => array( 'section' => 'section_brand_basics', 'type' => 'range',       'lbl' => 'Klein (481-767px):', 'mod' => 'font_size_sm', 'default' => 14, 'unit' => 'px' ),
        '--fontSizeXS'      => array( 'section' => 'section_brand_basics', 'type' => 'range', 'label' => 'Mobil', 'lbl' => 'bis 480px:', 'mod' => 'font_size_xs', 'default' => 14, 'unit' => 'px' ),

        'ANMseparator'      => array( 'section' => 'section_brand_basics', 'type' => 'separator', 'label' => 'Animationszeiten', 'mod' => 'sep_anim' ),
        '--anim'            => array( 'section' => 'section_brand_basics', 'type' => 'range',     'lbl' => 'Allgemein:', 'mod' => 'anim', 'default' => 0.3, 'unit' => 's', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 5, 'step'  => 0.1 ) ),
        'scrollspeed'       => array( 'section' => 'section_brand_basics', 'type' => 'range',     'lbl' => 'Scrollen zum Anker:', 'mod' => 'scrollspeed', 'default' => 0.5, 'unit' => 's', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 5, 'step'  => 0.1 ) ),

        /* 
           panel 'panel_navigation' 
        */
        /* section 'section_navi_header' */
        '--HEDpreset'          => array( 'section' => 'section_navi_header', 'type' => 'preset', 'label' => 'Vorauswahl', 'description' => 'Voreingestelltes Layout wählen', 'mod' => 'navi_header_preset', 'default' => '01',
                                        'choices' => array(
                                            // 'none'  => 'kein Layout gewählt',
                                            '01'    => [
                                                'label' => 'Logo links, Menü rechts',
                                                'img' => 'header_layout/01.svg',
                                                'mods' => ['navi_header_logo_mode' => 'on', 'navi_header_logo_position' => 'left', 'navi_header_menu_mode' => array('either' => array('on', 'desktop'), 'default' => 'desktop'), 'navi_header_menu_position' => 'right', 'navi_header_burger_position' => 'right', 'navi_header_logo_row_vertical' => 'center', 'navi_header_menu_row_vertical' => 'center']
                                            ],
                                            '02'    => [
                                                'label' => 'Logo links, Menü zentriert',
                                                'img' => 'header_layout/02.svg',
                                                'mods' => ['navi_header_logo_mode' => 'on', 'navi_header_logo_position' => 'left', 'navi_header_menu_mode' => array('either' => array('on', 'desktop'), 'default' => 'desktop'), 'navi_header_menu_position' => 'center', 'navi_header_burger_position' => 'right', 'navi_header_logo_row_vertical' => 'center', 'navi_header_menu_row_vertical' => 'center']
                                            ],
                                            '03'    => [
                                                'label' => 'Logo links, Menü darunter',
                                                'img' => 'header_layout/03.svg',
                                                'mods' => ['navi_header_logo_mode' => 'on', 'navi_header_logo_position' => 'left', 'navi_header_menu_mode' => array('either' => array('on', 'desktop'), 'default' => 'desktop'), 'navi_header_menu_position' => 'left-below', 'navi_header_burger_position' => 'right', 'navi_header_height' => array("min" => 100), 'navi_header_height_scrolled' => array("min" => 80), 'navi_header_logo_height' => array('max' => 60), 'navi_header_logo_height_scrolled' => array('max' => 60)]
                                            ],
                                            '04'    => [
                                                'label' => 'Logo zentriert, Menü links',
                                                'img' => 'header_layout/04.svg', 
                                                'mods' => ['navi_header_logo_mode' => 'on', 'navi_header_logo_position' => 'center', 'navi_header_menu_mode' => array('either' => array('on', 'desktop'), 'default' => 'desktop'), 'navi_header_menu_position' => 'left', 'navi_header_burger_position' => 'right', 'navi_header_logo_row_vertical' => 'center', 'navi_header_menu_row_vertical' => 'center']
                                            ],
                                            '05'    => [
                                                'label' => 'Logo zentriert, Menü darunter', 
                                                'img' => 'header_layout/05.svg', 
                                                'mods' => ['navi_header_logo_mode' => 'on', 'navi_header_logo_position' => 'center', 'navi_header_menu_mode' => array('either' => array('on', 'desktop'), 'default' => 'desktop'), 'navi_header_menu_position' => 'center-below', 'navi_header_burger_position' => 'right', 'navi_header_height' => array("min" => 100), 'navi_header_height_scrolled' => array("min" => 100), 'navi_header_logo_height' => array('max' => 60)]
                                            ],
                                            'custom'=> 'angepasstes Layout', // this way the wording for the custom option can be changed
                                        ),
                                        'input_attrs' => [
                                            'info' => 'Die Vorauswahl ist eine Hilfestellung, durch welche automatisch einige Regler und Felder voreingestellt werden.',
                                            'warning' => 'Achtung: Wenn du ein vorgefertigtes Layout aktivierst, werden einige deiner Einstellungen möglicherweise überschrieben.'
                                        ],
                                        'dependency' => array(array( 'element' => 'navi_header_mode', 'not_value' => 'none'), 'enable_presetpicker')
                                    ),
        
        'HEDseparator'      => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Allgemein', 'mod' => 'sep_navi_header' ),
        
        'HEDmode'           => array( 'section' => 'section_navi_header', 'type' => 'select',       'description' => 'Header aktivieren?', 'mod' => 'navi_header_mode', 'default' => 'on', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),

        'HEDscroll'         => array( 'section' => 'section_navi_header', 'type' => 'select',       'description' => 'Scroll-Verhalten', 'mod' => 'navi_header_scroll', 'default' => 'non-sticky', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'non-sticky' => 'mit Inhalt bewegen', 'sticky' => 'fixiert' ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDscrollEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',     'label' => 'Veränderungen beim Scrollen aktivieren', 'mod' => 'navi_header_scroll_enable', 'default' => 1, 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDscrollOn'       => array( 'section' => 'section_navi_header', 'type' => 'range',        'lbl' => 'Scrollpunkt abwärts:', 'mod' => 'navi_header_scroll_on', 'default' => 200, 'unit' => 'px', 
                                                                                                        'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDscrollOff'      => array( 'section' => 'section_navi_header', 'type' => 'range',        'lbl' => 'Scrollpunkt aufwärts:', 'mod' => 'navi_header_scroll_off', 'default' => 100, 'unit' => 'px',
                                                                                                        'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDoverlay'        => array( 'section' => 'section_navi_header', 'type' => 'radio',        'mod' => 'navi_header_overlay', 'default' => 'move', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'move' => 'Header verschiebt Inhalt', 'overlay' => 'Header überlappt Inhalt' ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDbgcolor'         => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDbgcolorScr'      => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'description' => 'Hintergrundfarbe wenn gescrolled', 'mod' => 'navi_header_background_scrolled_color2', 'default' => 'color33', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        
        // Layout
        'HEDPREseparator'      => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Layout', 'mod' => 'sep_navi_preset',
                                        'dependency' => array( array('element' => 'navi_header_mode', 'not_value' => 'none'))),
        'HEDrow'               => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Breite', 'mod' => 'navi_header_row', 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'row_xxxl' => 'Zeile XL', 'row_xxl' => 'Zeile L (Standard)', 'row_xl' => 'Zeile M', 'row_l' => 'Zeile S' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDheight'          => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_height', 'default' => 80, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDheightScr'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_height_scrolled', 'default' => 50, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HEDtopbottom'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_topbottom', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        // more
        'HEDmore'              => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_more', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDboxrow'            => array( 'section' => 'section_navi_header', 'type' => 'select',    'label' => 'Box Design', 'description' => 'Breite außen', 'mod' => 'navi_header_boxrow', 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ),
                                                                                                        'choices' => array( 'row_xxxl' => 'Zeile XL', 'row_xxl' => 'Zeile L', 'row_xl' => 'Zeile M', 'row_l' => 'Zeile S' ) ),
        'HEDgutter'            => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'inneres Gutter aktivieren', 'description' => 'Rechts und links wird ein Padding eingefügt.', 'mod' => 'navi_header_gutter', 'default' => 0,'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        '--HEDmargin'          => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        '--HEDmarginScr'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_margin_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        '--HEDborderRadius'    => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        'HEDborderEnable'      => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        '--HEDbocolor'         => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        
        '--HEDborderWidth'     => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        'HEDbordergroup'       => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        '--HEDborderTop'       => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        '--HEDborderLeft'      => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        '--HEDborderRight'     => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        '--HEDborderBottom'    => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_border_enable', 'value' => true ) ) ),
        'HEDshadowEnable'      => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ) ) ),
        'HEDsdwgroup'          => array( 'section' => 'section_navi_header', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_shadow_group', 'input_attrs' => array( 'children' => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_shadow_enable', 'value' => true ) ) ),
        '--HEDshadow'          => array( 'section' => 'section_navi_header', 'type' => 'shadow',      'mod' => 'navi_header_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_shadow_enable', 'value' => true ) ) ),
        
        // Logo
        'HEDLGOseparator'   => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Logo', 'mod' => 'sep_navi_header_logo',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDLGOmode'           => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Logo anzeigen?', 'mod' => 'navi_header_logo_mode', 'default' => 'on', 'transport' => 'refresh',
                                                                                                        'choices' => array( 'none' => 'nicht anzeigen', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOposition'     => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_logo_position', 'default' => 'left', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'left' => 'links', 'center' => 'zentriert', 'right' => 'rechts' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGORvertical'    => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Ausrichtung', 'mod' => 'navi_header_logo_row_vertical', 'default' => 'center', 
                                                                                                        'choices' => array( 'flex-start' => 'oben', 'center' => 'mittig', 'flex-end' => 'unten' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ), 
        '--HEDLGOheight'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_logo_height', 'default' => 60, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOheightScr'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_logo_height_scrolled', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        // logo more
        'HEDLGOmore'           => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_logo_more', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
             
        '--HEDLGOtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_logo_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_logo_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGObgcolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_logo_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDLGOborderRadius' => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_logo_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDLGOborderEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_logo_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGObocolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_logo_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDLGOborderWidth'  => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_logo_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDLGObordergroup'    => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_logo_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOborderTop'    => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_logo_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOborderLeft'   => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_logo_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOborderRight'  => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_logo_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOborderBottom' => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_logo_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),

        'HEDLGOshadowEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_logo_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDLGOsdwgroup'       => array( 'section' => 'section_navi_header', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_logo_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_logo_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGOshadow'       => array( 'section' => 'section_navi_header', 'type' => 'shadow',      'mod' => 'navi_header_logo_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_logo_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDLGObgcolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_logo_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDLGObocolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_logo_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        // Menu
        'HEDMNUseparator'   => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Menü', 'mod' => 'sep_navi_header_menu', 'dependency' => array(array( 'element' => 'navi_header_mode', 'not_value' => 'none' )) ),

        'HEDMNUmode'           => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Menü aktivieren?', 'mod' => 'navi_header_menu_mode', 'default' => 'desktop', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUposition'     => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_menu_position', 'default' => 'right', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'left' => 'links', 'center' => 'zentriert', 'right' => 'rechts', 'left-below' => 'links darunter', 'center-below' => 'zentriert darunter', 'right-below' => 'rechts darunter' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDMNURvertical'    => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Ausrichtung', 'mod' => 'navi_header_menu_row_vertical', 'default' => 'center', 
                                                                                                        'choices' => array( 'flex-start' => 'oben', 'center' => 'mittig', 'flex-end' => 'unten' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),

        // menu more
        'HEDMNUmore'           => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_menu_more', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),

        '--HEDMNUtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_menu_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        '--HEDMNUleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_menu_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        
        '--HEDMNUbgcolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_menu_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        '--HEDMNUbgcolorScr'   => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe wenn gescrolled', 'mod' => 'navi_header_menu_background_color2_scrolled', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        
        '--HEDMNUborderRadius' => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_menu_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        'HEDMNUborderEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_menu_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        '--HEDMNUbocolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_menu_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        
        '--HEDMNUborderWidth'  => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_menu_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        'HEDMNUbordergroup'    => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_menu_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        '--HEDMNUborderTop'    => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_menu_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        '--HEDMNUborderLeft'   => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_menu_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        '--HEDMNUborderRight'  => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_menu_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        '--HEDMNUborderBottom' => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_menu_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_border_enable', 'value' => true ) ) ),
        'HEDMNUshadowEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_menu_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ) ) ),
        
        'HEDMNUsdwgroup'       => array( 'section' => 'section_navi_header', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_menu_shadow_group', 'input_attrs' => array( 'children' => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_shadow_enable', 'value' => true ) ) ),
        '--HEDMNUshadow'       => array( 'section' => 'section_navi_header', 'type' => 'shadow',      'mod' => 'navi_header_menu_shadow', 'default' => 'none',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_menu_shadow_enable', 'value' => true ) ) ),

        // Burger
        'HEDHAMseparator'   => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Burger', 'mod' => 'sep_navi_header_burger', 'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        'HEDHAMmode'           => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Burger Menü aktivieren?', 'mod' => 'navi_header_burger_mode', 'default' => 'on', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDHAMposition'       => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_burger_position', 'default' => 'right', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'left' => 'ganz links', 'right' => 'ganz rechts', 'menu_left' => 'als erster Menüpunkt', 'menu_right' => 'als letzter Menüpunkt' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),

        '--HEDHAMtxtcolor'     => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'description' => 'Farbe', 'mod' => 'navi_header_burger_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDHAMsize'         => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Größe:', 'mod' => 'navi_header_burger_size', 'default' => 0.7, 
                                                                                                        'input_attrs' => array( 'min' => 0, 'max' => 2, 'step'  => 0.01 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDHAMstyle'          => array( 'section' => 'section_navi_header', 'type' => 'select',    'description' => '<a href="https://jonsuh.com/hamburgers/" target="_blank">Stil</a>', 'mod' => 'navi_header_burger_style', 'default' => 'collapse', 'transport' => 'refresh', 
                                                                                                        'choices' => array( '3dx' => '3dx', '3dy' => '3dy', '3dxy' => '3dxy', 'arrow' => 'arrow', 'arrowalt' => 'arrowalt', 'arrowturn' => 'arrowturn', 'boring' => 'boring', 'collapse' => 'collapse', 'elastic' => 'elastic', 'emphatic' => 'emphatic', 'minus' => 'minus', 'slider' => 'slider', 'spin' => 'spin', 'spring' => 'spring', 'stand' => 'stand', 'squeeze' => 'squeeze', 'vortex' => 'vortex' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        // burger more
        'HEDHAMmore'           => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_burger_more', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
             
        '--HEDHAMtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_burger_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_burger_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMbgcolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_burger_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDHAMborderRadius' => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_burger_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDHAMborderEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_burger_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMbocolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_burger_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDHAMborderWidth'  => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_burger_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDHAMbordergroup'    => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_burger_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMborderTop'    => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_burger_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMborderLeft'   => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_burger_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMborderRight'  => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_burger_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMborderBottom' => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_burger_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),

        'HEDHAMshadowEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_burger_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDHAMsdwgroup'       => array( 'section' => 'section_navi_header', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_burger_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_burger_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDHAMshadow'       => array( 'section' => 'section_navi_header', 'type' => 'shadow',      'mod' => 'navi_header_burger_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_burger_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),        

        '--HEDHAMtxtcolorHv'   => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Farbe', 'mod' => 'navi_header_burger_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDHAMbgcolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_burger_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDHAMbocolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_burger_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        
        // Menu items
        'HEDITMseparator'   => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Menüpunkte', 'mod' => 'sep_navi_header_item',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUfontFamily'   => array( 'section' => 'section_navi_header', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'navi_header_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUfontSize'     => array( 'section' => 'section_navi_header', 'type' => 'range',     'mod' => 'navi_header_font_size', 'default' => 1, 'unit' => 'em',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUfontWeight'   => array( 'section' => 'section_navi_header', 'type' => 'select',    'mod' => 'navi_header_font_weight', 'default' => 400,
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        
        'HEDMNUfontgroup'      => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_navi_header_font', 'input_attrs' => array( 'children' => 4 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUlineHeight'   => array( 'section' => 'section_navi_header', 'type' => 'range',     'mod' => 'navi_header_line_height', 'default' => 140, 'unit' => '%',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUtextTransform'=> array( 'section' => 'section_navi_header', 'type' => 'select',    'mod' => 'navi_header_text_transform', 'default' => 'none',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUletterSpacing'=> array( 'section' => 'section_navi_header', 'type' => 'range',     'mod' => 'navi_header_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDMNUwordSpacing'  => array( 'section' => 'section_navi_header', 'type' => 'range',     'mod' => 'navi_header_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        // '--HEDMNUtextAlign'    => array( 'section' => 'section_navi_header', 'type' => 'select',     'description' => 'Text Align', 'mod' => 'navi_header_text_align', 'default' => 'center',
        //                                                                                                 'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
        '--HEDITMmargin'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Größen & Abstände','lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_item_margin', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDITMmore'           => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_item_more', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ) ) ),
             
        '--HEDITMtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMtxtcolor'     => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_item_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ),  ) ),
        
        '--HEDITMbgcolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_item_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMborderRadius' => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_item_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        'HEDITMborderEnable'   => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_item_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMbocolor'      => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_item_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMborderWidth'  => array( 'section' => 'section_navi_header', 'type' => 'range',       'mod' => 'navi_header_item_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        'HEDITMbordergroup'    => array( 'section' => 'section_navi_header', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_item_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMborderTop'    => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_item_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMborderLeft'   => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_item_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMborderRight'  => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_item_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        '--HEDITMborderBottom' => array( 'section' => 'section_navi_header', 'type' => 'select',      'mod' => 'navi_header_item_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),

        '--HEDITMtxtcolorHv'   => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_item_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ),  ) ),
        
        '--HEDITMbgcolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_item_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMbocolorHv'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_item_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMtxtcolorAc'   => array( 'section' => 'section_navi_header', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_item_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ),  ) ),
        
        '--HEDITMbgcolorAc'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_item_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        '--HEDITMbocolorAc'    => array( 'section' => 'section_navi_header', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_item_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_item_more', 'value' => true ) ) ),
        
        // Mobile
        'HEDMOBseparator'   => array( 'section' => 'section_navi_header', 'type' => 'separator',  'label' => 'Mobil', 'mod' => 'sep_navi_header_mobile',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDMOBtoggle'         => array( 'section' => 'section_navi_header', 'type' => 'range',      'lbl' => 'Breakpoint:', 'mod' => 'navi_header_mobile_toggle', 'default' => 767, 'unit' => 'px', 'transport' => 'refresh', 
                                                                                                        'input_attrs' => array( 'min' => 320, 'max' => 1921, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ) ) ),
        'HEDMOBmore'           => array( 'section' => 'section_navi_header', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Abstände, Paddings, etc.', 'mod' => 'navi_header_mobile_more', 'default' => 0, 'transport' => 'refresh',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ) ) ),
        // header
        '--HEDMOBheight'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Header', 'lbl' => 'Höhe:', 'mod' => 'navi_header_mobile_height', 'default' => 50, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ) ) ),
        '--HEDMOBheightScr'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_mobile_height_scrolled', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HEDMOBtopbottom'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_mobile_topbottom', 'default' => 5, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'not_value' => 0 ) ) ),
        '--HEDMOBmargin'          => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_mobile_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'not_value' => 0 ) ) ),
        '--HEDMOBmarginScr'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_mobile_margin_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'not_value' => 0 ) ) ),
        // logo                                                                                                
        '--HEDMOBLGOheight'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Logo', 'lbl' => 'Höhe:', 'mod' => 'navi_header_mobile_logo_height', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_logo_mode', 'value' => array( 'on', 'mobile' ) ) ) ),
        '--HEDMOBLGOheightScr' => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_mobile_logo_height_scrolled', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_logo_mode', 'value' => array( 'on', 'mobile' ) ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
         '--HEDMOBLGOtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_mobile_logo_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_logo_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        '--HEDMOBLGOleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_mobile_logo_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_logo_more', 'value' => true ), array( 'element' => 'navi_header_logo_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        // menu
        '--HEDMOBMNUtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Menü', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_mobile_menu_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        '--HEDMOBMNUleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_mobile_menu_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_menu_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        // burger
        '--HEDMOBHAMtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Burger', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_mobile_burger_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_burger_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        '--HEDMOBHAMleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_mobile_burger_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_burger_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_burger_more', 'value' => true ), array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        // items
        '--HEDMOBITMmargin'       => array( 'section' => 'section_navi_header', 'type' => 'range',     'label' => 'Menüpunkte','lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_mobile_item_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        '--HEDMOBITMtopbottom'    => array( 'section' => 'section_navi_header', 'type' => 'range', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_mobile_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_item_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),
        '--HEDMOBITMleftright'    => array( 'section' => 'section_navi_header', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_mobile_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_item_more', 'value' => true ), array( 'element' => 'navi_header_mobile_more', 'value' => true ) ) ),

        /* section 'section_navi_header_offcanvas' */
        'HEDOFFseparator'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_navi_header_off', 'priority' => -4 ),

        'HEDOFFtype'           => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',    'description' => 'Typ', 'mod' => 'navi_header_off_type', 'default' => 'offcanvas', 'transport' => 'refresh', 'priority' => -3, 
                                                                                                                'choices' => array( 'none' => 'nicht aktivieren', 'offcanvas' => 'Off-Canvas', 'overlay' => 'Overlay', 'full' => 'Fullscreen' ) ), //, 'underlay' => 'Underlay' ) ),
        'HEDOFFdirection'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',    'description' => 'Richtung', 'mod' => 'navi_header_off_direction', 'default' => 'right', 'transport' => 'refresh', 'priority' => -2, 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ), 
                                                                                                                'choices' => array( 'left' => 'von links', 'right' => 'von rechts', 'top' => 'von oben', 'bottom' => 'von unten' ) ),

        'HEDOFFcontent'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'radio',     'description' => 'Inhalt',  'mod' => 'navi_header_off_content', 'default' => '', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ), 
                                                                                                                'choices' => array( '' => 'Hauptmenü anzeigen', 'template' => 'Template anzeigen' ) ),
        'HEDOFFmenubtn'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'button',    'label' => 'Menü bearbeiten', 'mod' => 'navi_header_off_menu_edit', 'class' => 'secondary', 'input_attrs' => array( 'menu' => 'main-menu', 'mode' => 'edit_menu' ),
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_content', 'value' => '') ) ),
        'HEDOFFtemplateedit'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'button',    'label' => 'zum Template', 'description' => '<small>Off-Menü-Template ist vorhanden. (Titelform: main-menu-offcanvas)</small>', 'mod' => 'navi_header_off_template_edit', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'main-menu-offcanvas', 'mode' => 'edit_template' ),
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_content', 'value' => 'template') ) ),
        'HEDOFFtemplatecreate' => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'button',    'label' => 'Standard Template erstellen', 'description' => '<small>Es wurde noch kein Off-Menü-Template erstellt.</small>',  'mod' => 'navi_header_off_template_create', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'main-menu-offcanvas', 'mode' => 'create_template' ),
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_content', 'value' => 'template') ) ),

        'HEDOFFclose'          => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => '„Schließen“ Button anzeigen', 'mod' => 'navi_header_off_close', 'default' => 1, 'transport' => 'refresh', 
                                                                                                                'description' => 'Bei Fullscreen Menüs wird der „Schließen“-Button teils erzwungen.',
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        '--HEDOFFbgcolor'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_off_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        
        'HEDOFFcolorgroup'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',     'label' => 'weitere Farben', 'mod' => 'group_navi_header_off_color', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ), 
        '--HEDOFFtxtcolor'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'description' => 'Textfarbe', 'mod' => 'navi_header_off_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        '--HEDOFFhcolor'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'description' => 'Überschriften', 'mod' => 'navi_header_off_headline_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        '--HEDOFFbcolor'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'label' => 'Schließen Button','description' => 'Farbe', 'mod' => 'navi_header_off_burger_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFbcolorHv'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'description' => 'Farbe Hover', 'mod' => 'navi_header_off_burger_color_hover2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        
        'HEDOFFlayout      '   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'separator', 'label' => 'Layout', 'mod' => 'sep_navi_header_off_layout', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFwidth'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_off_width', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1620, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFheight'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_off_height', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1620, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFtopbottom'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_off_topbottom', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFleftright'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_off_leftright', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        'HEDOFFlayoutgroup'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',     'label' => 'responsives Layout', 'mod' => 'group_navi_header_off_layout', 'input_attrs' => array( 'children' => 15 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        'HEDOFFlayoutLG      '   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'sub_separator', 'label' => 'Tablets (bis 1024px)', 'mod' => 'sep_navi_header_off_layout_lg', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFwidthLG'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_off_width_lg', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1024, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFheightLG'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_off_height_lg', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1024, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFtopbottomLG'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_off_topbottom_lg', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFleftrightLG'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_off_leftright_lg', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        'HEDOFFlayoutMD      '   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'sub_separator', 'label' => 'Kleine Tablets (bis 767px)', 'mod' => 'sep_navi_header_off_layout_md', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFwidthMD'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_off_width_md', 'default' => 300, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 768, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFheightMD'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_off_height_md', 'default' => 300, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 768, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFtopbottomMD'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_off_topbottom_md', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFleftrightMD'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_off_leftright_md', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        'HEDOFFlayoutSM      '   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'sub_separator', 'label' => 'Mobilgeräte (bis 480px)', 'mod' => 'sep_navi_header_off_layout_sm', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFwidthSM'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_off_width_sm', 'default' => 200, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 480, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFheightSM'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_off_height_sm', 'default' => 200, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 480, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HEDOFFtopbottomSM'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_off_topbottom_sm', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFleftrightSM'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_off_leftright_sm', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        'HEDOFFmore'           => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_off_more', 'default' => 0, 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFmtop'          => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_off_margin_top', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),
        '--HEDOFFmtopScr'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_off_margin_top_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ),  array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HEDOFFmbottom'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'navi_header_off_margin_bottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),
        '--HEDOFFmleftright'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Abstand seitlich:', 'mod' => 'navi_header_off_margin_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),

        '--HEDOFFborderRadius' => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',       'mod' => 'navi_header_off_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),
        'HEDOFFborderEnable'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_off_border_enable', 'default' => 0, 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),
        '--HEDOFFbocolor'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_off_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        
        '--HEDOFFborderWidth'  => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',       'mod' => 'navi_header_off_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        'HEDOFFbordergroup'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_off_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        '--HEDOFFborderTop'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_border_style_top', 'default' => 'solid', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        '--HEDOFFborderLeft'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_border_style_left', 'default' => 'solid', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        '--HEDOFFborderRight'  => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_border_style_right', 'default' => 'solid', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        '--HEDOFFborderBottom' => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_border_style_bottom', 'default' => 'solid', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_border_enable', 'value' => true ) ) ),
        'HEDOFFshadowEnable'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_off_shadow_enable', 'default' => 0, 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ) ) ),
        'HEDOFFsdwgroup'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_off_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_shadow_enable', 'value' => true ) ) ),
        '--HEDOFFshadow'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'shadow',      'mod' => 'navi_header_off_shadow', 'default' => 'none', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_more', 'value' => true ), array( 'element' => 'navi_header_off_shadow_enable', 'value' => true ) ) ),

        'HEDOFFMNUseparator'=> array( 'section' => 'section_navi_header_offcanvas', 'type' => 'separator', 'label' => 'Menüpunkte', 'mod' => 'sep_navi_header_off_menu', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        '--HEDOFFMNUfontFamily'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'navi_header_off_menu_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUfontSize'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'mod' => 'navi_header_off_menu_font_size', 'default' => 1, 'unit' => 'em', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUfontWeight'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',    'mod' => 'navi_header_off_menu_font_weight', 'default' => 400, 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUlineHeight'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'mod' => 'navi_header_off_menu_line_height', 'default' => '--lineHeight', 'unit' => '%', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        
        'HEDOFFMNUfontgroup'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_navi_header_off_menu_font', 'input_attrs' => array( 'children' => 3 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUtextTransform'=> array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',    'mod' => 'navi_header_off_menu_text_transform', 'default' => 'none', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUletterSpacing'=> array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'mod' => 'navi_header_off_menu_letter_spacing', 'default' => 0, 'unit' => 'px', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFMNUwordSpacing'  => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'mod' => 'navi_header_off_menu_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        // '--HEDOFFMNUtextAlign'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',    'description' => 'Text Align', 'mod' => 'navi_header_off_menu_text_align', 'default' => 'center', 
        //                                                                                                             'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        '--HEDOFFITMmargin'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_off_item_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        'HEDOFFITMmore'           => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_off_item_more', 'default' => 0, 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFITMwidth'        => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'radio',     'mod' => 'navi_header_off_item_width', 'default' => 'row',
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ), 
                                                                                                                    'choices' => array( 'row' => 'Breite an Inhalt angepasst', 'column' => 'volle Breite' ) ),
        '--HEDOFFITMtopbottom'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_off_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMleftright'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_off_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        
        '--HEDOFFITMtxtcolor'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_off_item_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        
        '--HEDOFFITMbgcolor'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_off_item_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        
        '--HEDOFFITMborderRadius' => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',       'mod' => 'navi_header_off_item_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        'HEDOFFITMborderEnable'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_off_item_border_enable', 'default' => 0, 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMbocolor'      => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_off_item_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        
        '--HEDOFFITMborderWidth'  => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',       'mod' => 'navi_header_off_item_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        'HEDOFFITMbordergroup'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_off_item_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMborderTop'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_item_border_style_top', 'default' => 'solid', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMborderLeft'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_item_border_style_left', 'default' => 'solid', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMborderRight'  => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_item_border_style_right', 'default' => 'solid', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMborderBottom' => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'select',      'mod' => 'navi_header_off_item_border_style_bottom', 'default' => 'solid', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),

        '--HEDOFFITMtxtcolorHv'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_off_item_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        '--HEDOFFITMbgcolorHv'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_off_item_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMbocolorHv'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_off_item_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMtxtcolorAc'   => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_off_item_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ),  ) ),
        '--HEDOFFITMbgcolorAc'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_off_item_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        '--HEDOFFITMbocolorAc'    => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_off_item_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_off_item_more', 'value' => true ) ) ),
        
        'HEDOFFSUBseparator'=> array( 'section' => 'section_navi_header_offcanvas', 'type' => 'separator', 'label' => 'Unterebene', 'mod' => 'sep_navi_header_off_sub', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
                                                                                                                
        '--HEDOFFSUBfontSize'     => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'mod' => 'navi_header_off_sub_font_size', 'default' => 0.9, 'unit' => 'em', 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFSUBleft'         => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Einrückung:', 'mod' => 'navi_header_off_sub_left', 'default' => 25, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),
        '--HEDOFFSUBmargin'       => array( 'section' => 'section_navi_header_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'navi_header_off_sub_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                    'dependency' => array( array( 'element' => 'navi_header_off_type', 'not_value' => 'none' ) ) ),

        /* section 'section_navi_header_sec' */
        'HED2separator'      => array( 'section' => 'section_navi_header_sec', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_navi_header_sec' ),

        'HED2mode'              => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Zweite Headerleiste aktivieren?', 'mod' => 'navi_header_sec_mode', 'default' => 'none', 'transport' => 'refresh', 
                                                                                                            'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),
        '--HED2position'        => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_sec_position', 'default' => 'column', 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), 
                                                                                                            'choices' => array( 'column' => 'über dem Header', 'column-reverse' => 'unter dem Header' ) ),

        '--HED2bgcolor'         => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ),  ) ),
        '--HED2bgcolorScr'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'description' => 'Hintergrundfarbe wenn gescrolled', 'mod' => 'navi_header_sec_background_scrolled_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        
        // Layout
        'HED2PREseparator'      => array( 'section' => 'section_navi_header_sec', 'type' => 'separator',  'label' => 'Layout', 'mod' => 'sep_navi_sec_preset',
                                                                                                            'dependency' => array( array('element' => 'navi_header_sec_mode', 'not_value' => 'none'), 'enable_presetpicker')),

        // Preset Picker
        'HED2row'               => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Breite', 'mod' => 'navi_header_sec_row', 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                                            'choices' => array( 'row_xxxl' => 'Zeile XL', 'row_xxl' => 'Zeile L (Standard)', 'row_xl' => 'Zeile M', 'row_l' => 'Zeile S' ),
                                                                                                            'dependency' => array(  array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ))),
        '--HED2height'          => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_height', 'default' => 50, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ),
        '--HED2heightScr'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_sec_height_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HED2topbottom'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ), 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ),
        // more
        'HED2more'              => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_sec_more', 'default' => 0, 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ),
        'HED2boxrow'            => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'label' => 'Box Design', 'description' => 'Breite außen', 'mod' => 'navi_header_sec_boxrow', 'default' => 'row_xxl', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ),
                                                                                                            'choices' => array( 'row_xxxl' => 'Zeile XL', 'row_xxl' => 'Zeile L', 'row_xl' => 'Zeile M', 'row_l' => 'Zeile S' ) ),
        'HED2gutter'            => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'inneres Gutter aktivieren', 'description' => 'Rechts und links wird ein Padding eingefügt.', 'mod' => 'navi_header_sec_gutter', 'default' => 0,'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        '--HED2margin'          => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_sec_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        '--HED2marginScr'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_sec_margin_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        '--HED2borderRadius'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        'HED2borderEnable'      => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_border_enable', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        '--HED2bocolor'         => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        
        '--HED2borderWidth'     => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        'HED2bordergroup'       => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        '--HED2borderTop'       => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_border_style_top', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        '--HED2borderLeft'      => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_border_style_left', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        '--HED2borderRight'     => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_border_style_right', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        '--HED2borderBottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_border_style_bottom', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_border_enable', 'value' => true ) ) ),
        'HED2shadowEnable'      => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_sec_shadow_enable', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ) ) ),
        'HED2sdwgroup'          => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_sec_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_shadow_enable', 'value' => true ) ) ),
        '--HED2shadow'          => array( 'section' => 'section_navi_header_sec', 'type' => 'shadow',      'mod' => 'navi_header_sec_shadow', 'default' => 'none', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_shadow_enable', 'value' => true ) ) ),
        
        // Logo
        'HED2LGOseparator'      => array( 'section' => 'section_navi_header_sec', 'type' => 'separator', 'label' => 'Logo', 'mod' => 'sep_navi_header_sec_logo', 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ),

        'HED2LGOmode'           => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Individuelles Logo anzeigen?', 'mod' => 'navi_header_sec_logo_mode', 'default' => 'none', 'transport' => 'refresh',  
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), 
                                                                                                            'choices' => array( 'none' => 'nicht anzeigen', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),

        'HED2LGOimg'            => array( 'section' => 'section_navi_header_sec', 'type' => 'image',        'mod' => 'navi_header_sec_logo_image', 'default' => '', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ) ) ),
                                                                                                            
        'HED2LGOenablelink'     => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Logo verlinken', 'mod' => 'navi_header_sec_logo_enablelink', 'transport' => 'refresh', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ) ) ),
        'HED2LGOlink'           => array( 'section' => 'section_navi_header_sec', 'type' => 'text',      'description' => 'Link', 'mod' => 'navi_header_sec_logo_link', 'transport' => 'refresh', 'default' => '', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_enablelink', 'value' => true ) ) ),
        '--HED2LGOposition'     => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_sec_logo_position', 'default' => 'left', 'transport' => 'refresh', 
                                                                                                            'choices' => array( 'left' => 'links', 'center' => 'zentriert', 'right' => 'rechts' ),
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ) ) ), 

        '--HED2LGORvertical'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Ausrichtung (vertikal)', 'mod' => 'navi_header_sec_logo_row_vertical', 'default' => 'center', 
                                                                                                            'choices' => array( 'flex-start' => 'oben', 'center' => 'mittig', 'flex-end' => 'unten' ),
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ) ) ), 
        '--HED2LGOheight'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_logo_height', 'default' => 35, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOheightScr'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_sec_logo_height_scrolled', 'default' => 35, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 500, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        // logo more
        'HED2LGOmore'           => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_sec_logo_more', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
             
        '--HED2LGOtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_logo_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_logo_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGObgcolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_logo_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2LGOborderRadius' => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_logo_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2LGOborderEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_logo_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGObocolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_logo_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2LGOborderWidth'  => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_logo_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2LGObordergroup'    => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_logo_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOborderTop'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_logo_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOborderLeft'   => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_logo_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOborderRight'  => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_logo_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOborderBottom' => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_logo_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),

        'HED2LGOshadowEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_sec_logo_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2LGOsdwgroup'       => array( 'section' => 'section_navi_header_sec', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_sec_logo_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_logo_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGOshadow'       => array( 'section' => 'section_navi_header_sec', 'type' => 'shadow',      'mod' => 'navi_header_sec_logo_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_logo_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGObgcolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_logo_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2LGObocolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_logo_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_logo_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        // Menu
        'HED2MNUseparator'      => array( 'section' => 'section_navi_header_sec', 'type' => 'separator', 'label' => 'Menü', 'mod' => 'sep_navi_header_sec_menu', 
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ),

        'HED2MNUmode'           => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Menü aktivieren?', 'mod' => 'navi_header_sec_menu_mode', 'default' => 'desktop', 'transport' => 'refresh',  
                                                                                                            'dependency' => array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), 
                                                                                                            'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),

        '--HED2MNUposition'     => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_sec_menu_position', 'default' => 'left', 'transport' => 'refresh', 
                                                                                                            'choices' => array( 'left' => 'links', 'center' => 'zentriert', 'right' => 'rechts', /*'left-below' => 'Links darunter', 'center-below' => 'Zentriert darunter', 'right-below' => 'Rechts darunter'*/ ),
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNURvertical'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Ausrichtung', 'mod' => 'navi_header_sec_menu_row_vertical', 'default' => 'center', 
                                                                                                            'choices' => array( 'flex-start' => 'oben', 'center' => 'mittig', 'flex-end' => 'unten' ),
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ), 
        
        // menu more
        'HED2MNUmore'           => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_sec_menu_more', 'default' => 0,  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),

        '--HED2MNUtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_menu_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        '--HED2MNUleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_menu_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        
        '--HED2MNUbgcolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_menu_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        '--HED2MNUbgcolorScr'   => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe wenn gescrolled', 'mod' => 'navi_header_sec_menu_background_color2_scrolled', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        
        '--HED2MNUborderRadius' => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_menu_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        'HED2MNUborderEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_menu_border_enable', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        '--HED2MNUbocolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_menu_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        
        '--HED2MNUborderWidth'  => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_menu_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        'HED2MNUbordergroup'    => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_menu_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        '--HED2MNUborderTop'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_menu_border_style_top', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        '--HED2MNUborderLeft'   => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_menu_border_style_left', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        '--HED2MNUborderRight'  => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_menu_border_style_right', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        '--HED2MNUborderBottom' => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_menu_border_style_bottom', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_border_enable', 'value' => true ) ) ),
        'HED2MNUshadowEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_sec_menu_shadow_enable', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ) ) ),
        'HED2MNUsdwgroup'       => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_sec_menu_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_shadow_enable', 'value' => true ) ) ),
        '--HED2MNUshadow'       => array( 'section' => 'section_navi_header_sec', 'type' => 'shadow',      'mod' => 'navi_header_sec_menu_shadow', 'default' => 'none', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_menu_shadow_enable', 'value' => true ) ) ),
        
        // Burger
        'HED2HAMseparator'   => array( 'section' => 'section_navi_header_sec', 'type' => 'separator',  'label' => 'Burger', 'mod' => 'sep_navi_header_sec_burger', 'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        'HED2HAMmode'           => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Burger Menü aktivieren?', 'mod' => 'navi_header_sec_burger_mode', 'default' => 'none', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2HAMposition'       => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => 'Position', 'mod' => 'navi_header_sec_burger_position', 'default' => 'right', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'left' => 'ganz links', 'right' => 'ganz rechts', 'menu_left' => 'als erster Menüpunkt', 'menu_right' => 'als letzter Menüpunkt' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMtxtcolor'     => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'description' => 'Farbe', 'mod' => 'navi_header_sec_burger_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMsize'         => array( 'section' => 'section_navi_header_sec', 'type' => 'range',    'lbl' => 'Größe:', 'mod' => 'navi_header_sec_burger_size', 'default' => 0.6, 
                                                                                                        'input_attrs' => array( 'min' => 0, 'max' => 2, 'step'  => 0.01 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2HAMstyle'          => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'description' => '<a href="https://jonsuh.com/hamburgers/" target="_blank">Stil</a>', 'mod' => 'navi_header_sec_burger_style', 'default' => 'collapse', 'transport' => 'refresh', 
                                                                                                        'choices' => array( '3dx' => '3dx', '3dy' => '3dy', '3dxy' => '3dxy', 'arrow' => 'arrow', 'arrowalt' => 'arrowalt', 'arrowturn' => 'arrowturn', 'boring' => 'boring', 'collapse' => 'collapse', 'elastic' => 'elastic', 'emphatic' => 'emphatic', 'minus' => 'minus', 'slider' => 'slider', 'spin' => 'spin', 'spring' => 'spring', 'stand' => 'stand', 'squeeze' => 'squeeze', 'vortex' => 'vortex' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        // burger more
        'HED2HAMmore'           => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_sec_burger_more', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMbgcolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_burger_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',    'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_burger_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_burger_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMborderRadius' => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_burger_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2HAMborderEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_burger_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMbocolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_burger_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        '--HED2HAMborderWidth'  => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_burger_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2HAMbordergroup'    => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_burger_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMborderTop'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_burger_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMborderLeft'   => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_burger_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMborderRight'  => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_burger_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMborderBottom' => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_burger_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),

        'HED2HAMshadowEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_sec_burger_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2HAMsdwgroup'       => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_sec_burger_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_burger_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMshadow'       => array( 'section' => 'section_navi_header_sec', 'type' => 'shadow',      'mod' => 'navi_header_sec_burger_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_burger_shadow_enable', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),        

        '--HED2HAMtxtcolorHv'   => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Farbe', 'mod' => 'navi_header_sec_burger_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMbgcolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_burger_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        '--HED2HAMbocolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_burger_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        
        // Menu Items
        'HED2ITMseparator'      => array( 'section' => 'section_navi_header_sec', 'type' => 'separator', 'label' => 'Menüpunkte', 'mod' => 'sep_navi_header_sec_menuitem', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUfontFamily'   => array( 'section' => 'section_navi_header_sec', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'navi_header_sec_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUfontSize'     => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'mod' => 'navi_header_sec_font_size', 'default' => 0.9, 'unit' => 'em',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUfontWeight'   => array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'mod' => 'navi_header_sec_font_weight', 'default' => 400,  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        
        'HED2MNUfontgroup'      => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_navi_header_sec_font', 'input_attrs' => array( 'children' => 4 ),  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUlineHeight'   => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'mod' => 'navi_header_sec_line_height', 'default' => 140, 'unit' => '%',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUtextTransform'=> array( 'section' => 'section_navi_header_sec', 'type' => 'select',    'mod' => 'navi_header_sec_text_transform', 'default' => 'none',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUletterSpacing'=> array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'mod' => 'navi_header_sec_letter_spacing', 'default' => 0, 'unit' => 'px',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        '--HED2MNUwordSpacing'  => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'mod' => 'navi_header_sec_word_spacing', 'default' => 0, 'unit' => 'px',  
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        // '--HED2MNUtextAlign'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',     'description' => 'Text Align', 'mod' => 'navi_header_sec_text_align', 'default' => 'center',  
        //                                                                                                     'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),

        '--HED2ITMmargin'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_sec_item_margin', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
        'HED2ITMmore'           => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_sec_item_more', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ) ) ),
             
        '--HED2ITMtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        
        '--HED2ITMtxtcolor'     => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_item_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ),  ) ),
        '--HED2ITMbgcolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_item_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        
        '--HED2ITMborderRadius' => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_item_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        'HED2ITMborderEnable'   => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_item_border_enable', 'default' => 0, 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMbocolor'      => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_item_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        
        '--HED2ITMborderWidth'  => array( 'section' => 'section_navi_header_sec', 'type' => 'range',       'mod' => 'navi_header_sec_item_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        'HED2ITMbordergroup'    => array( 'section' => 'section_navi_header_sec', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_item_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMborderTop'    => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_item_border_style_top', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMborderLeft'   => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_item_border_style_left', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMborderRight'  => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_item_border_style_right', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMborderBottom' => array( 'section' => 'section_navi_header_sec', 'type' => 'select',      'mod' => 'navi_header_sec_item_border_style_bottom', 'default' => 'solid', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),

        '--HED2ITMtxtcolorHv'   => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_item_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ),  ) ),
        '--HED2ITMbgcolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_item_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMbocolorHv'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_item_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        
        '--HED2ITMtxtcolorAc'   => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_item_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ),  ) ),
        '--HED2ITMbgcolorAc'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_item_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        '--HED2ITMbocolorAc'    => array( 'section' => 'section_navi_header_sec', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_item_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                            'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ) ) ),
        
        // Mobile
        'HED2MOBseparator'   => array( 'section' => 'section_navi_header_sec', 'type' => 'separator',  'label' => 'Mobil', 'mod' => 'sep_navi_header_sec_mobile',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ) ) ),
        'HED2MOBmore'           => array( 'section' => 'section_navi_header_sec', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Abstände, Paddings etc.', 'mod' => 'navi_header_sec_mobile_more', 'default' => 0, 'transport' => 'refresh',
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ) ) ),
        // header
        '--HED2MOBheight'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Header', 'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_mobile_height', 'default' => 50, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ) ) ),
        '--HED2MOBheightScr'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_sec_mobile_height_scrolled', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HED2MOBtopbottom'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_mobile_topbottom', 'default' => 5, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'not_value' => 0 ) ) ),
        '--HED2MOBmargin'          => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_sec_mobile_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'not_value' => 0 ) ) ),
        '--HED2MOBmarginScr'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_sec_mobile_margin_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ), array( 'element' => 'navi_header_sec_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'not_value' => 0 ) ) ),
        // logo                                                                                                
        '--HED2MOBLGOheight'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Logo', 'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_mobile_logo_height', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_logo_mode', 'value' => array( 'on', 'mobile' ) ) ) ),
        '--HED2MOBLGOheightScr' => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Höhe wenn gescrolled:', 'mod' => 'navi_header_sec_mobile_logo_height_scrolled', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 200, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_logo_mode', 'value' => array( 'on', 'mobile' ) ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
         '--HED2MOBLGOtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_mobile_logo_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        '--HED2MOBLGOleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_mobile_logo_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_logo_more', 'value' => true ), array( 'element' => 'navi_header_sec_logo_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        // menu
        '--HED2MOBMNUtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Menü', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_mobile_menu_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        '--HED2MOBMNUleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_mobile_menu_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_menu_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        // burger
        '--HED2MOBHAMtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Burger', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_mobile_burger_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        '--HED2MOBHAMleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_mobile_burger_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_burger_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_burger_position', 'value' => array( 'left', 'right' ) ), array( 'element' => 'navi_header_sec_burger_more', 'value' => true ), array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        // items
        '--HED2MOBITMmargin'       => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'label' => 'Menüpunkte','lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_sec_mobile_item_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        '--HED2MOBITMtopbottom'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range', 'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_mobile_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),
        '--HED2MOBITMleftright'    => array( 'section' => 'section_navi_header_sec', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_mobile_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 25, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_header_mobile_toggle', 'not_value' => 320 ), array( 'element' => 'navi_header_sec_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_menu_mode', 'not_value' => array('none', 'desktop') ), array( 'element' => 'navi_header_sec_item_more', 'value' => true ), array( 'element' => 'navi_header_sec_mobile_more', 'value' => true ) ) ),

        /* section 'section_navi_header_sec_offcanvas' */
        'HED2OFFseparator'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'separator',      'label' => 'Allgemein', 'mod' => 'sep_navi_header_sec_off' ),

        'HED2OFFtype'           => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'description' => 'Typ', 'mod' => 'navi_header_sec_off_type', 'default' => 'offcanvas', 'transport' => 'refresh', 
                                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'offcanvas' => 'Off-Canvas', 'overlay' => 'Overlay', 'full' => 'Fullscreen' ) ), //, 'underlay' => 'Underlay' ) ),
        'HED2OFFdirection'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'description' => 'Richtung', 'mod' => 'navi_header_sec_off_direction', 'default' => 'right', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ), 
                                                                                                                        'choices' => array( 'left' => 'von links', 'right' => 'von rechts', 'top' => 'von oben', 'bottom' => 'von unten' ) ),

        'HED2OFFcontent'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'radio',     'description' => 'Inhalt',  'mod' => 'navi_header_sec_off_content', 'default' => '', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ), 
                                                                                                                        'choices' => array( '' => 'Metamenü anzeigen', 'template' => 'Template anzeigen' ) ),
        'HED2OFFmenubtn'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'button',    'label' => 'Menü bearbeiten', 'mod' => 'navi_header_sec_off_menu_edit', 'class' => 'secondary', 'input_attrs' => array( 'menu' => 'meta-menu', 'mode' => 'edit_menu' ),
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_content', 'value' => '') ) ),
        'HED2OFFtemplateedit'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'button',    'label' => 'zum Template', 'description' => '<small>Off-Menü-Template für den zweiten Header ist vorhanden. (Titelform: meta-menu-offcanvas)</small>', 'mod' => 'navi_header_sec_off_template_edit', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'meta-menu-offcanvas', 'mode' => 'edit_template' ),
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_content', 'value' => 'template') ) ),
        'HED2OFFtemplatecreate' => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'button',    'label' => 'Standard Template jetzt erstellen', 'description' => '<small>Es wurde noch kein Off-Menü-Template für den zweiten Header erstellt.</small>', 'mod' => 'navi_header_sec_off_template_create', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'meta-menu-offcanvas', 'mode' => 'create_template' ),
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_content', 'value' => 'template') ) ),

        'HED2OFFclose'          => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => '„Schließen“ Button anzeigen', 'mod' => 'navi_header_sec_off_close', 'default' => 1, 'transport' => 'refresh', 
                                                                                                                        'description' => 'Bei Fullscreen Menüs wird der „Schließen“-Button teils erzwungen.',
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        '--HED2OFFbgcolor'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_off_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        
        'HED2OFFcolorgroup'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'weitere Farben', 'mod' => 'group_navi_header_sec_off_color', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ), 
        '--HED2OFFtxtcolor'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Textfarbe', 'mod' => 'navi_header_sec_off_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        '--HED2OFFhcolor'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Überschriften', 'mod' => 'navi_header_sec_off_headline_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        '--HED2OFFbcolor'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'label' => 'Schließen Button','description' => 'Farbe', 'mod' => 'navi_header_sec_off_burger_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_close', 'value' => true ) ) ),
        '--HED2OFFbcolorHv'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Farbe Hover', 'mod' => 'navi_header_sec_off_burger_color_hover2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_close', 'value' => true ) ) ),

        // layout
        'HED2OFFlayout      '   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'separator', 'label' => 'Layout', 'mod' => 'sep_navi_header_sec_off_layout', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFwidth'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_sec_off_width', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1620, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFheight'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_off_height', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1620, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFtopbottom'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_off_topbottom', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFleftright'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_off_leftright', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFlayoutgroup'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'responsives Layout', 'mod' => 'group_navi_header_sec_off_layout', 'input_attrs' => array( 'children' => 15 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFlayoutLG      '   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'sub_separator', 'label' => 'Tablets (bis 1024px)', 'mod' => 'sep_navi_header_sec_off_layout_lg', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFwidthLG'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_sec_off_width_lg', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1024, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFheightLG'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_off_height_lg', 'default' => 400, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 1024, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFtopbottomLG'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_off_topbottom_lg', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFleftrightLG'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_off_leftright_lg', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFlayoutMD      '   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'sub_separator', 'label' => 'Kleine Tablets (bis 767px)', 'mod' => 'sep_navi_header_sec_off_layout_md', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFwidthMD'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_sec_off_width_md', 'default' => 300, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 768, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFheightMD'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_off_height_md', 'default' => 300, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 768, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFtopbottomMD'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_off_topbottom_md', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFleftrightMD'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_off_leftright_md', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFlayoutSM      '   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'sub_separator', 'label' => 'Mobilgeräte (bis 480px)', 'mod' => 'sep_navi_header_sec_off_layout_sm', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFwidthSM'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'navi_header_sec_off_width_sm', 'default' => 200, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 480, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'not_value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFheightSM'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'navi_header_sec_off_height_sm', 'default' => 200, 'unit' => 'px', 'input_attrs' => array( 'min' => 50, 'max' => 480, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'full' ), array( 'element' => 'navi_header_sec_off_direction', 'value' => array( 'top', 'bottom' ) ) ) ),
        '--HED2OFFtopbottomSM'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_off_topbottom_sm', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFleftrightSM'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_off_leftright_sm', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFmore'           => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_header_sec_off_more', 'default' => 0, 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        '--HED2OFFmtop'          => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'navi_header_sec_off_margin_top', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),
        '--HED2OFFmtopScr'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'navi_header_sec_off_margin_top_scrolled', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        '--HED2OFFmbottom'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'navi_header_sec_off_margin_bottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),
        '--HED2OFFmleftright'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand seitlich:', 'mod' => 'navi_header_sec_off_margin_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 150, 'step'  => 1 ), 
                                                                                                                'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),

        '--HED2OFFborderRadius' => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',       'mod' => 'navi_header_sec_off_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),
        'HED2OFFborderEnable'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_off_border_enable', 'default' => 0, 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),
        '--HED2OFFbocolor'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_off_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        
        '--HED2OFFborderWidth'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',       'mod' => 'navi_header_sec_off_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        'HED2OFFbordergroup'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_off_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        '--HED2OFFborderTop'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',      'mod' => 'navi_header_sec_off_border_style_top', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        '--HED2OFFborderLeft'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',      'mod' => 'navi_header_sec_off_border_style_left', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        '--HED2OFFborderRight'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',      'mod' => 'navi_header_sec_off_border_style_right', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        '--HED2OFFborderBottom' => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',      'mod' => 'navi_header_sec_off_border_style_bottom', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_border_enable', 'value' => true ) ) ),
        'HED2OFFshadowEnable'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_header_sec_off_shadow_enable', 'default' => 0, 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ) ) ),
        'HED2OFFsdwgroup'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'Schlagschatten einstellen', 'mod' => 'navi_header_sec_off_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_shadow_enable', 'value' => true ) ) ),
        '--HED2OFFshadow'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'shadow',      'mod' => 'navi_header_sec_off_shadow', 'default' => 'none', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_more', 'value' => true ), array( 'element' => 'navi_header_sec_off_shadow_enable', 'value' => true ) ) ),

        'HED2OFFMNUseparator'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'separator', 'label' => 'Menüpunkte', 'mod' => 'sep_navi_header_sec_off_menu', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        '--HED2OFFMNUfontFamily'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'navi_header_sec_off_menu_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUfontSize'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_menu_font_size', 'default' => 1, 'unit' => 'em', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUfontWeight'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_menu_font_weight', 'default' => 400, 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUlineHeight'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_menu_line_height', 'default' => '--lineHeight', 'unit' => '%', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        
        'HED2OFFMNUfontgroup'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_navi_header_sec_off_menu_font', 'input_attrs' => array( 'children' => 3 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUtextTransform'=> array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_menu_text_transform', 'default' => 'none', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUletterSpacing'=> array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_menu_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFMNUwordSpacing'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_menu_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        // '--HED2OFFMNUtextAlign'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'description' => 'Text Align', 'mod' => 'navi_header_sec_off_menu_text_align', 'default' => 'center', 
        //                                                                                                                  'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        'HED2OFFITMmore'           => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_header_sec_off_item_more', 'default' => 0, 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        '--HED2OFFITMwidth'        => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'radio',     'label' => 'Größen & Abstände', 'mod' => 'navi_header_sec_off_item_width', 'default' => 'row',
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ), 
                                                                                                                        'choices' => array( 'row' => 'Breite an Inhalt angepasst', 'column' => 'volle Breite' ) ),
        '--HED2OFFITMtopbottom'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_header_sec_off_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMleftright'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_header_sec_off_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMmargin'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand dazwischen:', 'mod' => 'navi_header_sec_off_item_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        
        '--HED2OFFITMtxtcolor'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_off_item_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        '--HED2OFFITMbgcolor'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_off_item_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        
        '--HED2OFFITMborderRadius' => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_item_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        'HED2OFFITMborderEnable'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_header_sec_off_item_border_enable', 'default' => 0, 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMbocolor'      => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_off_item_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        
        '--HED2OFFITMborderWidth'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_item_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        'HED2OFFITMbordergroup'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_header_sec_off_item_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMborderTop'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_item_border_style_top', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMborderLeft'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_item_border_style_left', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMborderRight'  => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_item_border_style_right', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMborderBottom' => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'select',    'mod' => 'navi_header_sec_off_item_border_style_bottom', 'default' => 'solid', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),

        '--HED2OFFITMtxtcolorHv'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_off_item_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        '--HED2OFFITMbgcolorHv'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_off_item_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMbocolorHv'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_off_item_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        
        '--HED2OFFITMtxtcolorAc'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'navi_header_sec_off_item_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ),  ) ),
        '--HED2OFFITMbgcolorAc'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_header_sec_off_item_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        '--HED2OFFITMbocolorAc'    => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_header_sec_off_item_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ), array( 'element' => 'navi_header_sec_off_item_border_enable', 'value' => true ), array( 'element' => 'navi_header_sec_off_item_more', 'value' => true ) ) ),
        
        'HED2OFFSUBseparator'   => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'separator', 'label' => 'Unterebene', 'mod' => 'sep_navi_header_sec_off_sub', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
                                                                                                                
        '--HED2OFFSUBfontSize'     => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'mod' => 'navi_header_sec_off_sub_font_size', 'default' => 0.9, 'unit' => 'em', 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFSUBleft'         => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Einrückung:', 'mod' => 'navi_header_sec_off_sub_left', 'default' => 25, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),
        '--HED2OFFSUBmargin'       => array( 'section' => 'section_navi_header_sec_offcanvas', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'navi_header_sec_off_sub_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                                        'dependency' => array( array( 'element' => 'navi_header_sec_off_type', 'not_value' => 'none' ) ) ),

        /* section 'section_navi_footer' */
        'HEDFOTseparator'      => array( 'section' => 'section_navi_footer', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_navi_footer' ),

        'HEDFOTmode'           => array( 'section' => 'section_navi_footer', 'type' => 'select',    'description' => 'Footer aktivieren?', 'mod' => 'navi_footer_mode', 'default' => 'on', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),
        
        'HEDFOTcontent'        => array( 'section' => 'section_navi_footer', 'type' => 'radio',     'description' => 'Inhalt',  'mod' => 'navi_footer_content', 'default' => '', 'transport' => 'refresh', 
                                                                                                        'choices' => array( '' => 'Hauptmenü anzeigen', 'template' => 'Template anzeigen' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        'HEDFOTmenubtn'        => array( 'section' => 'section_navi_footer', 'type' => 'button',    'label' => 'Menü bearbeiten', 'mod' => 'navi_footer_menu_edit', 'class' => 'secondary', 'input_attrs' => array( 'menu' => 'main-menu', 'mode' => 'edit_menu' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_content', 'value' => '') ) ),
        'HEDFOTtemplateedit'   => array( 'section' => 'section_navi_footer', 'type' => 'button',    'label' => 'zum Template', 'description' => '<small>Footer-Template ist vorhanden. (Titelform: footer)</small>', 'mod' => 'navi_footer_template_edit', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'footer', 'mode' => 'edit_template' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_content', 'value' => 'template') ) ),
        'HEDFOTtemplatecreate' => array( 'section' => 'section_navi_footer', 'type' => 'button',    'label' => 'Standard Template jetzt erstellen', 'description' => '<small>Es wurde noch kein Footer-Template erstellt.</small>', 'mod' => 'navi_footer_template_create', 'class' => 'secondary', 'input_attrs' => array( 'template' => 'footer', 'mode' => 'create_template' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_content', 'value' => 'template') ) ),

        '--HEDFOTbgcolor'      => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'label' => 'Farben', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_footer_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ),  ) ),
        '--HEDFOTtxtcolor'     => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Schriftfarbe', 'mod' => 'navi_footer_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ),  ) ),
        '--HEDFOThcolor'       => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Überschriften', 'mod' => 'navi_footer_headline_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ),  ) ),
        
        'HEDFOTmore'           => array( 'section' => 'section_navi_footer', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'als Box gestalten', 'mod' => 'navi_footer_more', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        
        'HEDFOTrow'            => array( 'section' => 'section_navi_footer', 'type' => 'select',    'label' => 'Layout', 'description' => 'Zeilenbreite', 'mod' => 'navi_footer_row', 'default' => 'full', 'transport' => 'refresh', 
                                                                                                        'choices' => array( 'full' => 'volle Breite', 'row_xxxl' => 'Zeile XL', 'row_xxl' => 'Zeile L', 'row_xl' => 'Zeile M', 'row_l' => 'Zeile S' ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTmarginbottom' => array( 'section' => 'section_navi_footer', 'type' => 'range',       'mod' => 'navi_footer_margin_bottom', 'default' => 0, 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTtopbottom'    => array( 'section' => 'section_navi_footer', 'type' => 'range',       'lbl' => 'Padding oben/unten:', 'mod' => 'navi_footer_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTleftright'    => array( 'section' => 'section_navi_footer', 'type' => 'range',       'lbl' => 'Padding seitlich:', 'mod' => 'navi_footer_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTborderRadius' => array( 'section' => 'section_navi_footer', 'type' => 'range',       'mod' => 'navi_footer_border_radius', 'default' => 0, 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        
        'HEDFOTborderEnable'   => array( 'section' => 'section_navi_footer', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_footer_border_enable', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTbocolor'      => array( 'section' => 'section_navi_footer', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'navi_footer_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        
        '--HEDFOTborderWidth'  => array( 'section' => 'section_navi_footer', 'type' => 'range',       'mod' => 'navi_footer_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        'HEDFOTbordergroup'    => array( 'section' => 'section_navi_footer', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_footer_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTborderTop'    => array( 'section' => 'section_navi_footer', 'type' => 'select',      'mod' => 'navi_footer_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTborderLeft'   => array( 'section' => 'section_navi_footer', 'type' => 'select',      'mod' => 'navi_footer_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTborderRight'  => array( 'section' => 'section_navi_footer', 'type' => 'select',      'mod' => 'navi_footer_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTborderBottom' => array( 'section' => 'section_navi_footer', 'type' => 'select',      'mod' => 'navi_footer_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_border_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),

        'HEDFOTshadowEnable'   => array( 'section' => 'section_navi_footer', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'navi_footer_shadow_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        'HEDFOTsdwgroup'       => array( 'section' => 'section_navi_footer', 'type' => 'group',     'label' => 'Schlagschatten einstellen', 'mod' => 'navi_footer_shadow_group', 'input_attrs' => array( 'children' => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_shadow_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        '--HEDFOTshadow'       => array( 'section' => 'section_navi_footer', 'type' => 'shadow',      'mod' => 'navi_footer_shadow', 'default' => 'none', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_shadow_enable', 'value' => true ), array('element' => 'navi_footer_more', 'value' => true) ) ),
        
        'HEDFOTITMseparator'   => array( 'section' => 'section_navi_footer', 'type' => 'separator', 'label' => 'Menüpunkte', 'mod' => 'sep_navi_footer_item',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        
        '--HEDFOTMNUfontFamily'   => array( 'section' => 'section_navi_footer', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'navi_footer_item_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUfontSize'     => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_font_size', 'default' => 1, 'unit' => 'em',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUfontWeight'   => array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_font_weight', 'default' => 400,
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUlineHeight'   => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_line_height', 'default' => '--lineHeight', 'unit' => '%',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        
        'HEDFOTMNUfontgroup'      => array( 'section' => 'section_navi_footer', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_navi_footer_item_font', 'input_attrs' => array( 'children' => 3 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUtextTransform'=> array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_text_transform', 'default' => 'none',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUletterSpacing'=> array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTMNUwordSpacing'  => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        // '--HEDFOTMNUtextAlign'    => array( 'section' => 'section_navi_footer', 'type' => 'select',    'description' => 'Text Align', 'mod' => 'navi_footer_item_text_align', 'default' => 'center',
        //                                                                                                 'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),

        '--HEDFOTITMmarginv'      => array( 'section' => 'section_navi_footer', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Abstand darunter:', 'mod' => 'navi_footer_item_margin_v', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ), 
        '--HEDFOTITMmarginh'      => array( 'section' => 'section_navi_footer', 'type' => 'range',     'lbl' => 'Abstand daneben:', 'mod' => 'navi_footer_item_margin_h', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ), 
        'HEDFOTITMmore'        => array( 'section' => 'section_navi_footer', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'navi_footer_item_more', 'default' => 0,
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTITMtopbottom'    => array( 'section' => 'section_navi_footer', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'navi_footer_item_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMleftright'    => array( 'section' => 'section_navi_footer', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'navi_footer_item_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        
        '--HEDFOTITMtxtcolor'     => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'navi_footer_item_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTITMbgcolor'      => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_footer_item_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        
        '--HEDFOTITMborderRadius' => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        'HEDFOTITMborderEnable'   => array( 'section' => 'section_navi_footer', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'navi_footer_item_border_enable', 'default' => 0, 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMbocolor'      => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_footer_item_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        
        '--HEDFOTITMborderWidth'  => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_item_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        'HEDFOTITMbordergroup'    => array( 'section' => 'section_navi_footer', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_navi_footer_item_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMborderTop'    => array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_border_style_top', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMborderLeft'   => array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_border_style_left', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMborderRight'  => array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_border_style_right', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMborderBottom' => array( 'section' => 'section_navi_footer', 'type' => 'select',    'mod' => 'navi_footer_item_border_style_bottom', 'default' => 'solid', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),

        '--HEDFOTITMtxtcolorHv'   => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'navi_footer_item_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTITMbgcolorHv'    => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_footer_item_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMbocolorHv'    => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_footer_item_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        
        
        '--HEDFOTITMtxtcolorAc'   => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'navi_footer_item_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTITMbgcolorAc'    => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'navi_footer_item_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        '--HEDFOTITMbocolorAc'    => array( 'section' => 'section_navi_footer', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'navi_footer_item_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ), array( 'element' => 'navi_footer_item_border_enable', 'value' => true ), array( 'element' => 'navi_footer_item_more', 'value' => true ) ) ),
        
        
        'HEDFOTSUBseparator'     => array( 'section' => 'section_navi_footer', 'type' => 'separator', 'label' => 'Unterebene', 'mod' => 'sep_navi_footer_sub',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
                                                                                                                
        '--HEDFOTSUBfontSize'     => array( 'section' => 'section_navi_footer', 'type' => 'range',     'mod' => 'navi_footer_sub_font_size', 'default' => 0.9, 'unit' => 'em',
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTSUBleft'         => array( 'section' => 'section_navi_footer', 'type' => 'range',     'lbl' => 'Einrückung:', 'mod' => 'navi_footer_sub_left', 'default' => 25, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),
        '--HEDFOTSUBmargin'       => array( 'section' => 'section_navi_footer', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'navi_footer_sub_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                        'dependency' => array( array( 'element' => 'navi_footer_mode', 'not_value' => 'none' ) ) ),

                                                                                                        
        /* section 'section_dropdown' */
        'DRPseparator'      => array( 'section' => 'section_dropdown', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_drop' ),

        'DRPmode'           => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Dropdowns aktivieren?', 'mod' => 'drop_mode', 'default' => 'on', 'transport' => 'refresh', 
                                                                                                    'choices' => array( 'none' => 'nicht aktivieren', 'on' => 'immer', 'desktop' => 'nur Desktop', 'mobile' => 'nur mobil' ) ),

        'DRPtrigger'        => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Dropdown anzeigen bei...', 'mod' => 'drop_trigger', 'default' => 'hover', 'transport' => 'refresh', 
                                                                                                    'choices' => array( 'hover' => 'Hover über Menüpunkt', 'click' => 'Klick auf Menüpunkt' ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        'DRPanim'           => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Animation beim Einblenden', 'mod' => 'drop_anim', 'default' => 'slide',
                                                                                                    'choices' => array( 'slide' => 'von oben', 'fade' => 'einblenden', 'toggle' => 'keine Animation' ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        'DRPalign'          => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Ausrichtung', 'mod' => 'drop_align', 'default' => 'center',
                                                                                                    'choices' => array( 'left' => 'linksbündig zum Menüpunkt', 'center' => 'zentriert am Menüpunkt', 'right' => 'rechtsbündig zum Menüpunkt' ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPmargin'       => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Abstand darüber:', 'mod' => 'drop_margin', 'default' => 15, 'unit' => 'px', 'input_attrs' => array( 'min' => -20, 'max' => 50, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPmarginScr'    => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Abstand darüber wenn gescrolled:', 'mod' => 'drop_margin_scrolled', 'default' => 15, 'unit' => 'px', 'input_attrs' => array( 'min' => -20, 'max' => 50, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'navi_header_scroll', 'value' => 'sticky' ), array( 'element' => 'navi_header_scroll_enable', 'value' => true ) ) ),
        
        'DRPSseparator'     => array( 'section' => 'section_dropdown', 'type' => 'separator', 'label' => 'Aussehen', 'mod' => 'sep_drop_styling',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPbgcolor'      => array( 'section' => 'section_dropdown', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'drop_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        
        '--DRPborderRadius' => array( 'section' => 'section_dropdown', 'type' => 'range',       'mod' => 'drop_border_radius', 'default' => 0, 'unit' => 'px',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        
        'DRPTgroup'         => array( 'section' => 'section_dropdown', 'type' => 'group',     'label' => 'Symbol darüber anpassen', 'mod' => 'group_drop_tab', 'input_attrs' => array( 'children' => 6 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        'DRPTstyle'         => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Stil', 'mod' => 'drop_tab_style', 'default' => 'triangle', 
                                                                                                    'choices' => array( 'triangle' => 'Dreieck', 'triangle_rd' => 'Dreieck abgerundet', 'circle' => 'Kreis', 'square' => 'Rechteck', 'square_rd' => 'Rechteck abgerundet' ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPTbgcolor'     => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Farbe', 'mod' => 'drop_tab_background_color2', 'default' => 'color22', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        
        '--DRPTradius'      => array( 'section' => 'section_dropdown', 'type' => 'range',       'mod' => 'drop_tab_border_radius', 'default' => 5, 'unit' => 'px', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_tab_style', 'value' => array( 'triangle_rd', 'square_rd' ) ) ) ),
        '--DRPTheight'      => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Höhe:', 'mod' => 'drop_tab_height', 'default' => 12, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 40, 'step'  => 1 ), 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_tab_style', 'not_value' => array( 'triangle_rd', 'circle' ) ) ) ),
        '--DRPTwidth'       => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Breite:', 'mod' => 'drop_tab_width', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 40, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPTmargin'      => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Abstand:', 'mod' => 'drop_tab_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => -30, 'max' => 30, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        
        'DRPborderEnable'   => array( 'section' => 'section_dropdown', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'drop_border_enable', 'default' => 0,
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPbocolor'      => array( 'section' => 'section_dropdown', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'drop_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        
        '--DRPborderWidth'  => array( 'section' => 'section_dropdown', 'type' => 'range',       'mod' => 'drop_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        'DRPbordergroup'    => array( 'section' => 'section_dropdown', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_drop_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        '--DRPborderTop'    => array( 'section' => 'section_dropdown', 'type' => 'select',      'mod' => 'drop_border_style_top', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        '--DRPborderLeft'   => array( 'section' => 'section_dropdown', 'type' => 'select',      'mod' => 'drop_border_style_left', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        '--DRPborderRight'  => array( 'section' => 'section_dropdown', 'type' => 'select',      'mod' => 'drop_border_style_right', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),
        '--DRPborderBottom' => array( 'section' => 'section_dropdown', 'type' => 'select',      'mod' => 'drop_border_style_bottom', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_border_enable', 'value' => true ) ) ),

        'DRPshadowEnable'   => array( 'section' => 'section_dropdown', 'type' => 'checkbox',  'label' => 'Schlagschatten', 'mod' => 'drop_shadow_enable', 'default' => 0, 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        'DRPsdwgroup'       => array( 'section' => 'section_dropdown', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'drop_shadow_group', 'input_attrs' => array( 'children' => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_shadow_enable', 'value' => true ) ) ),
        '--DRPshadow'       => array( 'section' => 'section_dropdown', 'type' => 'shadow',      'mod' => 'drop_shadow', 'default' => 'none', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'drop_shadow_enable', 'value' => true ) ) ),
        
        '--DRPtopbottom'    => array( 'section' => 'section_dropdown', 'type' => 'range',  'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'drop_topbottom', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPleftright'    => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'drop_leftright', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPoffset'       => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Mindestabstand zum Seitenrand:', 'mod' => 'drop_offset', 'default' => 20, 'unit' => 'px', 'transport' => 'refresh',  'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        
        'DRPITMseparator'   => array( 'section' => 'section_dropdown', 'type' => 'separator', 'label' => 'Menüpunkte', 'mod' => 'sep_dropitem',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        
        '--DRPITMfontFamily'   => array( 'section' => 'section_dropdown', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'dropitem_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMfontSize'     => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_font_size', 'default' => 1, 'unit' => 'em',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMfontWeight'   => array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_font_weight', 'default' => 400,
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMlineHeight'   => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_line_height', 'default' => '--lineHeight', 'unit' => '%',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        
        'DRPITMfontgroup'      => array( 'section' => 'section_dropdown', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_dropitem_font', 'input_attrs' => array( 'children' => 3 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMtextTransform'=> array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_text_transform', 'default' => 'none',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMletterSpacing'=> array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMwordSpacing'  => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        // '--DRPITMtextAlign'    => array( 'section' => 'section_dropdown', 'type' => 'select',    'description' => 'Text Align', 'mod' => 'dropitem_text_align', 'default' => 'center',
        //                                                                                             'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),

        '--DRPITMmargin'       => array( 'section' => 'section_dropdown', 'type' => 'range',   'label' => 'Größen & Abstände', 'lbl' => 'Abstand dazwischen:', 'mod' => 'dropitem_margin', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ), 
        'DRPITMmore'        => array( 'section' => 'section_dropdown', 'type' => 'checkbox',  'label' => 'zusätzliche Optionen', 'description' => 'Paddings, Hintergund, Rahmen, etc.', 'mod' => 'dropitem_more', 'default' => 0,
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPITMwidth'        => array( 'section' => 'section_dropdown', 'type' => 'radio',     'mod' => 'dropitem_width', 'default' => 'max-content',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ), 
                                                                                                    'choices' => array( 'max-content' => 'Breite an Inhalt angepasst', 'auto' => 'Volle Breite' ) ),
        '--DRPITMtopbottom'    => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Padding oben/unten:', 'mod' => 'dropitem_topbottom', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMleftright'    => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'dropitem_leftright', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ), 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        
        '--DRPITMtxtcolor'     => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'dropitem_text_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        '--DRPITMbgcolor'      => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'dropitem_background_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        
        '--DRPITMborderRadius' => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_border_radius', 'default' => 0, 'unit' => 'px', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        'DRPITMborderEnable'   => array( 'section' => 'section_dropdown', 'type' => 'checkbox',  'label' => 'Rahmen', 'mod' => 'dropitem_border_enable', 'default' => 0, 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMbocolor'      => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'dropitem_border_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        
        '--DRPITMborderWidth'  => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropitem_border_width', 'default' => 0, 'unit' => 'px', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        'DRPITMbordergroup'    => array( 'section' => 'section_dropdown', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_dropitem_border', 'input_attrs' => array( 'children' => 4 ), 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMborderTop'    => array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_border_style_top', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMborderLeft'   => array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_border_style_left', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMborderRight'  => array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_border_style_right', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMborderBottom' => array( 'section' => 'section_dropdown', 'type' => 'select',    'mod' => 'dropitem_border_style_bottom', 'default' => 'solid', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),

        '--DRPITMtxtcolorHv'   => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'label' => 'Hover', 'description' => 'Schriftfarbe', 'mod' => 'dropitem_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        '--DRPITMbgcolorHv'    => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'dropitem_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMbocolorHv'    => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'dropitem_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        
        '--DRPITMtxtcolorAc'   => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'label' => 'Aktiv', 'description' => 'Schriftfarbe', 'mod' => 'dropitem_text_active_color2', 'default' => 'color32', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ),  ) ),
        '--DRPITMbgcolorAc'    => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Hintergrundfarbe', 'mod' => 'dropitem_background_active_color2', 'default' => 'color63', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        '--DRPITMbocolorAc'    => array( 'section' => 'section_dropdown', 'type' => 'colselect', 'description' => 'Rahmenfarbe', 'mod' => 'dropitem_border_active_color2', 'default' => 'color21', 'transport' => 'refresh', 
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ), array( 'element' => 'dropitem_border_enable', 'value' => true ), array( 'element' => 'dropitem_more', 'value' => true ) ) ),
        
        
        'DRPSUBseparator'     => array( 'section' => 'section_dropdown', 'type' => 'separator', 'label' => 'Unterebene', 'mod' => 'sep_dropsub',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
                                                                                                                
        '--DRPSUBfontSize'     => array( 'section' => 'section_dropdown', 'type' => 'range',     'mod' => 'dropsub_font_size', 'default' => 0.9, 'unit' => 'em',
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPSUBleft'         => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Einrückung:', 'mod' => 'dropsub_left', 'default' => 25, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),
        '--DRPSUBmargin'       => array( 'section' => 'section_dropdown', 'type' => 'range',     'lbl' => 'Abstand darunter:', 'mod' => 'dropsub_margin', 'default' => 10, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ),
                                                                                                    'dependency' => array( array( 'element' => 'drop_mode', 'not_value' => 'none' ) ) ),

        /* 
           panel 'panel_elements' 
        */
        /* section 'section_body' */
        'BDfntseparator'     => array( 'section' => 'section_body', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_basic_font' ),
        '--BDtxtcolor'      => array( 'section' => 'section_body', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'body_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        '--BDfontFamily'    => array( 'section' => 'section_body', 'type' => 'ffselect',  'mod' => 'body_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--fontWeight'      => array( 'section' => 'section_body', 'type' => 'select',      'mod' => 'font_weight', 'default' => 400 ),
        '--lineHeight'      => array( 'section' => 'section_body', 'type' => 'range',       'mod' => 'line_height', 'default' => 140, 'unit' => '%' ),
        'BFnt2group'         => array( 'section' => 'section_body', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_font_more', 'input_attrs' => array( 'children' => 2 ) ),
        '--letterSpacing'   => array( 'section' => 'section_body', 'type' => 'range',       'lbl' => 'Zeichenabstand:', 'mod' => 'letter_spacing', 'default' => 0.5, 'unit' => 'px' ),
        '--wordSpacing'     => array( 'section' => 'section_body', 'type' => 'range',       'lbl' => 'Wortabstand:', 'mod' => 'word_spacing', 'default' => 0, 'unit' => 'px' ),
        // '--textAlign'       => array( 'section' => 'section_body', 'type' => 'select',      'description' => 'Text Align', 'mod' => 'text_align', 'default' => 'left' ),
        '--Pmargin'         => array( 'section' => 'section_body', 'type' => 'range',     'label' => 'Absatz', 'lbl' => 'Höhe:', 'mod' => 'p_margin', 'default' => 30, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ) ),
        
        'BDlstseparator'     => array( 'section' => 'section_body', 'type' => 'separator', 'label' => 'Listen', 'mod' => 'sep_body_list' ),
        '--UlistStyle'      => array( 'section' => 'section_body', 'type' => 'select',    'label' => 'Listen', 'description' => 'Ungeordnete Liste', 'mod' => 'ul_list_style', 'default' => 'disc', 
                                                                                              'choices' => array( 'disc' => '• gefüllter Kreis', 'circle' => '◦ offener Kreis', 'square' => '▪ gefülltes Quadrat', 'none' => 'kein Symbol' ) ),
        '--OlistStyle'      => array( 'section' => 'section_body', 'type' => 'select',      'description' => 'Geordnete Liste', 'mod' => 'ol_list_style', 'default' => 'decimal', 
                                                                                              'choices' => array( 'decimal' => 'numerisch (1. 2. ...)', 'decimal-leading-zero' => 'numerisch mit Null (01. 02. ...)', 'lower-roman' => 'römisch klein (i. ii. ...)', 'upper-roman' => 'römisch groß (I. II. ...)', 'lower-greek' => 'griechisch klein (α. β. ...)', 'armenian' => 'armenisch (Ա. Բ. ...)', 'georgian' => 'georgisch (ა. ბ. ...)', 'lower-alpha' => 'alphabetisch klein (a. b. ...)', 'upper-alpha' => 'alphabetisch groß (A. B. ...)', 'none' => 'keine Nummerierung' ) ),
        
        'BDbqseparator'     => array( 'section' => 'section_body', 'type' => 'separator', 'label' => 'Blockzitat', 'mod' => 'sep_body_blockquote' ),
        '--blockquoteWidth' => array( 'section' => 'section_body', 'type' => 'range', 'lbl' => 'Linienstärke:', 'mod' => 'blockquote_width', 'default' => 4, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 20, 'step'  => 1 ) ),
        '--BDbqcolor'       => array( 'section' => 'section_body', 'type' => 'colselect', 'description' => 'Linienfarbe', 'mod' => 'blockquote_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        /* section 'section_headlines' */
        'HFntseparator'     => array( 'section' => 'section_headlines', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_headlines_font' ),
        
        '--HHtxtcolor'      => array( 'section' => 'section_headlines', 'type' => 'colselect', 'description' => 'Schriftfarbe', 'mod' => 'headlines_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--HHfontFamily'    => array( 'section' => 'section_headlines', 'type' => 'ffselect', 'mod' => 'headlines_fontfamily', 'default' => 'fontFamily2', 'transport' => 'refresh' ),
        '--Hmargintop'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h_margin_top', 'default' => 0.5, 'unit' => 'em', 'input_attrs' => array( 'min' => 0, 'max' => 3, 'step'  => 0.05 ) ),
        '--Hmarginbottom'   => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h_margin_bottom', 'default' => 1, 'unit' => 'em', 'input_attrs' => array( 'min' => 0, 'max' => 3, 'step'  => 0.05 ) ),
        
        'HFnt2group'        => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'erweiterte Optionen', 'mod' => 'group_headlines_font_more', 'input_attrs' => array( 'children' => 3 ) ),
        '--HtextTransform'  => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'headlines_text_transform', 'default' => 'none' ),
        '--HletterSpacing'  => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'headlines_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px' ),
        '--HwordSpacing'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'headlines_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px' ),
        // '--HtextAlign'      => array( 'section' => 'section_headlines', 'type' => 'select',   'description' => 'Text Align', 'mod' => 'headlines_text_align', 'default' => '--textAlign' ),

        'HSingleseparator'  => array( 'section' => 'section_headlines', 'type' => 'separator', 'label' => 'Einzeln', 'mod' => 'sep_headlines_single' ),
        'H1group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H1','description' => 'Optionen', 'mod' => 'group_h1', 'input_attrs' => array( 'children' => 3 ) ),
        '--H1fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h1_font_size', 'default' => 2, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H1fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h1_font_weight', 'default' => 600 ),        
        '--H1lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h1_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'H2group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H2','description' => 'Optionen', 'mod' => 'group_h2', 'input_attrs' => array( 'children' => 3 ) ),
        '--H2fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h2_font_size', 'default' => 1.8, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H2fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h2_font_weight', 'default' => 600 ),
        '--H2lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h2_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'H3group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H3','description' => 'Optionen', 'mod' => 'group_h3', 'input_attrs' => array( 'children' => 3 ) ),
        '--H3fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h3_font_size', 'default' => 1.3, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H3fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h3_font_weight', 'default' => 600 ),
        '--H3lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h3_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'H4group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H4','description' => 'Optionen', 'mod' => 'group_h4', 'input_attrs' => array( 'children' => 3 ) ),
        '--H4fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h4_font_size', 'default' => 1.3, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H4fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h4_font_weight', 'default' => 600 ),
        '--H4lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h4_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'H5group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H5','description' => 'Optionen', 'mod' => 'group_h5', 'input_attrs' => array( 'children' => 3 ) ),
        '--H5fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h5_font_size', 'default' => 1, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H5fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h5_font_weight', 'default' => 400 ),
        '--H5lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h5_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'H6group'           => array( 'section' => 'section_headlines', 'type' => 'group',  'label' => 'H6','description' => 'Optionen', 'mod' => 'group_h6', 'input_attrs' => array( 'children' => 3 ) ),
        '--H6fontSize'      => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h6_font_size', 'default' => 1, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 5, 'step'  => 0.05 ) ),
        '--H6fontWeight'    => array( 'section' => 'section_headlines', 'type' => 'select',   'mod' => 'h6_font_weight', 'default' => 400 ),
        '--H6lineHeight'    => array( 'section' => 'section_headlines', 'type' => 'range',    'mod' => 'h6_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
      
        /* section 'section_buttons' */
        'BTNFntseparator'   => array( 'section' => 'section_buttons', 'type' => 'separator','label' => 'Allgemein', 'mod' => 'sep_buttons_font' ),
        '--BTfontFamily'    => array( 'section' => 'section_buttons', 'type' => 'ffselect', 'label' => 'Schrift', 'mod' => 'buttons_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--BTNfontSize'     => array( 'section' => 'section_buttons', 'type' => 'range',    'mod' => 'buttons_font_size', 'default' => 1, 'unit' => 'em' ),
        '--BTNfontWeight'   => array( 'section' => 'section_buttons', 'type' => 'select',   'mod' => 'buttons_font_weight', 'default' => 600 ),
        '--BTNlineHeight'   => array( 'section' => 'section_buttons', 'type' => 'range',    'mod' => 'buttons_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        
        'BTNFnt2group'      => array( 'section' => 'section_buttons', 'type' => 'group',  'label' => 'erweiterte Optionen', 'mod' => 'group_button_font_more', 'input_attrs' => array( 'children' => 3 ) ),
        '--BTNtextTransform'=> array( 'section' => 'section_buttons', 'type' => 'select',   'mod' => 'buttons_text_transform', 'default' => 'none' ),
        '--BTNletterSpacing'=> array( 'section' => 'section_buttons', 'type' => 'range',    'mod' => 'buttons_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px' ),
        '--BTNwordSpacing'  => array( 'section' => 'section_buttons', 'type' => 'range',    'mod' => 'buttons_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px' ),
        // '--BTNtextAlign'    => array( 'section' => 'section_buttons', 'type' => 'select',     'description' => 'Text Align', 'mod' => 'buttons_text_align', 'default' => 'center' ),

        '--BTNpaddingy'     => array( 'section' => 'section_buttons', 'type' => 'range',    'label' => 'Größen & Abstände', 'mod' => 'buttons_paddingy', 'default' => 10, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--BTNpaddingx'     => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_paddingx', 'default' => 40, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--BTNmargin'       => array( 'section' => 'section_buttons', 'type' => 'range',      'lbl' => 'Abstand darunter:', 'mod' => 'buttons_margin', 'default' => 20, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        'BTPrmseparator'    => array( 'section' => 'section_buttons', 'type' => 'separator', 'label' => 'Primärer Button', 'mod' => 'sep_buttons_colors2' ),
        '--BTbgcolor'       => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Buttonfarbe', 'mod' => 'buttons_background_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--BTtxtcolor'      => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        '--BTNborderRadius' => array( 'section' => 'section_buttons', 'type' => 'range',       'mod' => 'buttons_border_radius', 'default' => 0, 'unit' => 'px' ),
        '--BTbocolor'       => array( 'section' => 'section_buttons', 'type' => 'colselect',  'label' => 'Rahmen', 'description' => 'Rahmenfarbe', 'mod' => 'buttons_border_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--BTNborderWidth'  => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_border_width', 'default' => 0, 'unit' => 'px' ),
        'BTNgroup'          => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'einzelne Seiten', 'mod' => 'group_buttons_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--BTNborderTop'    => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_border_style_top', 'default' => 'solid' ),
        '--BTNborderLeft'   => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_border_style_left', 'default' => 'solid' ),
        '--BTNborderRight'  => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_border_style_right', 'default' => 'solid' ),
        '--BTNborderBottom' => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_border_style_bottom', 'default' => 'solid' ),
        
        'BTNshadowEnable'   => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten', 'mod' => 'buttons_shadow_enable', 'default' => 0),
        'BTNsdwgroup'       => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_shadow_enable', 'value' => true ) ) ),
        '--BTNshadow'       => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'buttons_shadow_enable', 'value' => true ) ) ),
        
        '--BTbgcolorHover'  => array( 'section' => 'section_buttons', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Buttonfarbe', 'mod' => 'buttons_background_hover_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--BTtxtcolorHover' => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons_text_hover_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        '--BTbocolorHover'  => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'buttons_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        'BTNshadowHoverEnable'   => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten bei Hover verändern', 'mod' => 'buttons_shadow_hover_enable', 'default' => 0),
        'BTNsdwgroupHover'       => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_shadow_hover_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_shadow_hover_enable', 'value' => true ) ) ),
        '--BTNshadowHover'       => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_shadow_hover', 'default' => '--BTNshadow', 'dependency' => array( array( 'element' => 'buttons_shadow_hover_enable', 'value' => true ) ) ),
        
        'BTSecseparator'    => array( 'section' => 'section_buttons', 'type' => 'separator', 'label' => 'Sekundärer Button', 'mod' => 'sep_buttons_sec_colors2' ),
        '--BT2bgcolor'      => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Buttonfarbe', 'mod' => 'buttons2_background_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--BT2txtcolor'     => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons2_text_color2', 'default' => 'color22', 'transport' => 'refresh' ),
        
        '--BTN2borderRadius'=> array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_sec_border_radius', 'default' => 0, 'unit' => 'px' ),
        '--BT2bocolor'      => array( 'section' => 'section_buttons', 'type' => 'colselect',  'label' => 'Rahmen', 'description' => 'Rahmenfarbe', 'mod' => 'buttons2_border_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--BTN2borderWidth' => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_sec_border_width', 'default' => 0, 'unit' => 'px' ),
        'BTN2group'         => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'einzelne Seiten', 'mod' => 'group_buttons_sec_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--BTN2borderTop'   => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_sec_border_style_top', 'default' => 'solid' ),
        '--BTN2borderLeft'  => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_sec_border_style_left', 'default' => 'solid' ),
        '--BTN2borderRight' => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_sec_border_style_right', 'default' => 'solid' ),
        '--BTN2borderBottom'=> array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_sec_border_style_bottom', 'default' => 'solid' ),
        
        'BTN2shadowEnable'  => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten', 'mod' => 'buttons_sec_shadow_enable', 'default' => 0),
        'BTN2sdwgroup'      => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_sec_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_sec_shadow_enable', 'value' => true ) ) ),
        '--BTN2shadow'      => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_sec_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'buttons_sec_shadow_enable', 'value' => true ) ) ),
        
        '--BT2bgcolorHover' => array( 'section' => 'section_buttons', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Buttonfarbe', 'mod' => 'buttons2_background_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--BT2txtcolorHover'=> array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons2_text_hover_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        '--BT2bocolorHover' => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'buttons2_border_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        'BTN2shadowHoverEnable'   => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten bei Hover verändern', 'mod' => 'buttons_sec_shadow_hover_enable', 'default' => 0),
        'BTN2sdwgroupHover'       => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_sec_shadow_hover_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_sec_shadow_hover_enable', 'value' => true ) ) ),
        '--BTN2shadowHover'       => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_sec_shadow_hover', 'default' => '--BTN2shadow', 'dependency' => array( array( 'element' => 'buttons_sec_shadow_hover_enable', 'value' => true ) ) ),
                
        // Big Button
        'BTNbigseparator'   => array( 'section' => 'section_buttons', 'type' => 'separator',  'label' => 'Großer Button', 'mod' => 'sep_buttons_big' ),
        '--BTNbigfontSize'  => array( 'section' => 'section_buttons', 'type' => 'range',       'mod' => 'buttons_big_font_size', 'default' => 1.2, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 4, 'step'  => 0.05 ) ),
        '--BTNbigpaddingy'  => array( 'section' => 'section_buttons', 'type' => 'range',       'mod' => 'buttons_big_paddingy', 'default' => 20, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--BTNbigpaddingx'  => array( 'section' => 'section_buttons', 'type' => 'range',       'mod' => 'buttons_big_paddingx', 'default' => 40, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ) ),
        '--BTNbigmargin'    => array( 'section' => 'section_buttons', 'type' => 'range',       'lbl' => 'Abstand darunter:', 'mod' => 'buttons_big_margin', 'default' => 0, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        // small Button
        'BTNsmallseparator'  => array( 'section' => 'section_buttons', 'type' => 'separator', 'label' => 'Kleiner Button', 'mod' => 'sep_buttons_small' ),
        '--BTNsmallfontSize' => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_small_font_size', 'default' => 0.85, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 2, 'step'  => 0.05 ) ),
        '--BTNsmallpaddingy' => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_small_paddingy', 'default' => 8, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--BTNsmallpaddingx' => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_small_paddingx', 'default' => 16, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--BTNsmallmargin'   => array( 'section' => 'section_buttons', 'type' => 'range',      'lbl' => 'Abstand darunter:', 'mod' => 'buttons_small_margin', 'default' => 4, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        
        'BTN3separator'    => array( 'section' => 'section_buttons', 'type' => 'separator', 'label' => 'Alternativer Button', 'mod' => 'sep_buttons_trd_colors2' ),
        '--BTN3bgcolor'     => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Buttonfarbe', 'mod' => 'buttons_trd_background_color2', 'default' => 'color13', 'transport' => 'refresh' ),
        '--BTN3txtcolor'    => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons_trd_text_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        
        '--BTN3borderRadius'=> array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_trd_border_radius', 'default' => 3, 'unit' => 'px' ),
        '--BTN3bocolor'     => array( 'section' => 'section_buttons', 'type' => 'colselect',  'label' => 'Rahmen', 'description' => 'Rahmenfarbe', 'mod' => 'buttons_trd_border_color2', 'default' => 'color13', 'transport' => 'refresh' ),
        '--BTN3borderWidth' => array( 'section' => 'section_buttons', 'type' => 'range',      'mod' => 'buttons_trd_border_width', 'default' => 0, 'unit' => 'px' ),
        'BTN3group'         => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'einzelne Seiten', 'mod' => 'group_buttons_trd_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--BTN3borderTop'   => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_trd_border_style_top', 'default' => 'solid' ),
        '--BTN3borderLeft'  => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_trd_border_style_left', 'default' => 'solid' ),
        '--BTN3borderRight' => array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_trd_border_style_right', 'default' => 'solid' ),
        '--BTN3borderBottom'=> array( 'section' => 'section_buttons', 'type' => 'select',     'mod' => 'buttons_trd_border_style_bottom', 'default' => 'solid' ),
        
        'BTN3shadowEnable'  => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten', 'mod' => 'buttons_trd_shadow_enable', 'default' => 0),
        'BTN3sdwgroup'      => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_trd_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_trd_shadow_enable', 'value' => true ) ) ),
        '--BTN3shadow'      => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_trd_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'buttons_trd_shadow_enable', 'value' => true ) ) ),
        
        '--BTN3bgcolorHover' => array( 'section' => 'section_buttons', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Buttonfarbe', 'mod' => 'buttons_trd_background_hover_color2', 'default' => 'color31', 'transport' => 'refresh' ),
        '--BTN3txtcolorHover'=> array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'buttons_trd_text_hover_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        '--BTN3bocolorHover' => array( 'section' => 'section_buttons', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'buttons_trd_border_hover_color2', 'default' => 'color31', 'transport' => 'refresh' ),
        
        'BTN3shadowHoverEnable'   => array( 'section' => 'section_buttons', 'type' => 'checkbox', 'label' => 'Schlagschatten bei Hover verändern', 'mod' => 'buttons_trd_shadow_hover_enable', 'default' => 0),
        'BTN3sdwgroupHover'       => array( 'section' => 'section_buttons', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'buttons_trd_shadow_hover_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'buttons_trd_shadow_hover_enable', 'value' => true ) ) ),
        '--BTN3shadowHover'       => array( 'section' => 'section_buttons', 'type' => 'shadow',     'mod' => 'buttons_trd_shadow_hover', 'default' => '--BTN3shadow', 'dependency' => array( array( 'element' => 'buttons_trd_shadow_hover_enable', 'value' => true ) ) ),
            
        /* section 'section_links' */
        'LNKFntseparator'   => array( 'section' => 'section_links', 'type' => 'separator',  'label' => 'Allgemein', 'mod' => 'sep_link_font' ),
        '--LNfontFamily'    => array( 'section' => 'section_links', 'type' => 'ffselect',     'mod' => 'link_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--LNKfontSize'     => array( 'section' => 'section_links', 'type' => 'range',        'mod' => 'link_font_size', 'default' => 1, 'unit' => 'em' ),
        '--LNKfontWeight'   => array( 'section' => 'section_links', 'type' => 'select',       'mod' => 'link_font_weight', 'default' => 600 ),
        'LNKFnt2group'      => array( 'section' => 'section_links', 'type' => 'group',    'label' => 'erweiterte Optionen', 'mod' => 'group_links_font_more', 'input_attrs' => array( 'children' => 3 ) ),
        '--LNKtextTransform'=> array( 'section' => 'section_links', 'type' => 'select',       'mod' => 'link_text_transform', 'default' => 'none' ),
        '--LNKletterSpacing'=> array( 'section' => 'section_links', 'type' => 'range',        'mod' => 'link_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px' ),
        '--LNKwordSpacing'  => array( 'section' => 'section_links', 'type' => 'range',        'mod' => 'link_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px' ),
        
        'LNPrmseparator'    => array( 'section' => 'section_links', 'type' => 'separator', 'label' => 'Primärer Link', 'mod' => 'sep_link_colors2' ),
        '--LNKtextDecoration'=> array( 'section' => 'section_links', 'type' => 'select',     'mod' => 'link_text_decoration', 'default' => 'none' ),
        '--LNtxtcolor'      => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Linkfarbe', 'mod' => 'link_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--LNbgcolor'       => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'link_background_color2', 'default' => 'color63', 'transport' => 'refresh' ),
        '--LNtxtcolorHover' => array( 'section' => 'section_links', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Linkfarbe', 'mod' => 'link_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--LNbgcolorHover'  => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'link_background_hover_color2', 'default' => 'color63', 'transport' => 'refresh' ),
        
        'LNSecseparator'    => array( 'section' => 'section_links', 'type' => 'separator', 'label' => 'Sekundärer Link', 'mod' => 'sep_link_sec_colors2' ),
        '--LNK2textDecoration'=> array( 'section' => 'section_links', 'type' => 'select',    'mod' => 'link2_text_decoration', 'default' => 'none' ),
        '--LN2txtcolor'     => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Linkfarbe', 'mod' => 'link2_text_color2', 'default' => 'color22', 'transport' => 'refresh' ),
        '--LN2bgcolor'      => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'link2_background_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--LN2txtcolorHover'=> array( 'section' => 'section_links', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Linkfarbe', 'mod' => 'link2_text_hover_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--LN2bgcolorHover' => array( 'section' => 'section_links', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'link2_background_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        /* section 'section_forms' */
        'FRMFntseparator'   => array( 'section' => 'section_forms', 'type' => 'separator',  'label' => 'Allgemein', 'mod' => 'sep_forms_font' ),
        '--FRfontFamily'    => array( 'section' => 'section_forms', 'type' => 'ffselect',   'label' => 'Schrift', 'mod' => 'forms_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--FRMfontSize'     => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_font_size', 'default' => 1, 'unit' => 'em' ),
        '--FRMfontWeight'   => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_font_weight', 'default' => 400 ),
        '--FRMlineHeight'   => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        'FRMFnt2group'      => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'erweiterte Optionen', 'mod' => 'group_forms_font_more', 'input_attrs' => array( 'children' => 3 ) ),
        '--FRMtextTransform'=> array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_text_transform', 'default' => 'none' ),
        '--FRMletterSpacing'=> array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px' ),
        '--FRMwordSpacing'  => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px' ),
        // '--FRMtextAlign'    => array( 'section' => 'section_forms', 'type' => 'select',       'description' => 'Text Align', 'mod' => 'forms_text_align', 'default' => '--textAlign' ),

        'FRMLayseparator'   => array( 'section' => 'section_forms', 'type' => 'separator',  'label' => 'Größen & Abstände', 'mod' => 'sep_forms_layout' ),
        '--FRMpaddingy'     => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_paddingy', 'default' => 5, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--FRMpaddingx'     => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_paddingx', 'default' => 25, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        '--FRMmargin'       => array( 'section' => 'section_forms', 'type' => 'range',        'lbl' => 'Abstand darunter:', 'mod' => 'forms_margin', 'default' => 20, 'unit' => 'px', 
                                                                                              'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),

        'FRPrmseparator'    => array( 'section' => 'section_forms', 'type' => 'separator', 'label' => 'Primäres Feld', 'mod' => 'sep_forms_colors2' ),
        '--FRbgcolor'       => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Feldfarbe', 'mod' => 'forms_background_color2', 'default' => 'color22', 'transport' => 'refresh' ),
        '--FRphcolor'       => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Platzhalterfarbe', 'mod' => 'forms_placeholder_color2', 'default' => 'color32', 'transport' => 'refresh' ),
        '--FRtxtcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'forms_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        
        '--FRMborderRadius' => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_border_radius', 'default' => 0, 'unit' => 'px' ),
        '--FRbocolor'       => array( 'section' => 'section_forms', 'type' => 'colselect',   'label' => 'Rahmen', 'description' => 'Rahmenfarbe', 'mod' => 'forms_border_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--FRMborderWidth'  => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_border_width', 'default' => 4, 'unit' => 'px' ),
        'FRMgroup'          => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'einzelne Seiten', 'mod' => 'group_forms_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--FRMborderTop'    => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_border_style_top', 'default' => 'none' ),
        '--FRMborderLeft'   => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_border_style_left', 'default' => 'none' ),
        '--FRMborderRight'  => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_border_style_right', 'default' => 'none' ),
        '--FRMborderBottom' => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_border_style_bottom', 'default' => 'solid' ),
        
        'FRMshadowEnable'   => array( 'section' => 'section_forms', 'type' => 'checkbox',   'label' => 'Schlagschatten', 'mod' => 'forms_shadow_enable', 'default' => 0),
        'FRMsdwgroup'       => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'forms_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'forms_shadow_enable', 'value' => true ) ) ),
        '--FRMshadow'       => array( 'section' => 'section_forms', 'type' => 'shadow',       'mod' => 'forms_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'forms_shadow_enable', 'value' => true ) ) ),
        
        '--FRbgcolorHover'  => array( 'section' => 'section_forms', 'type' => 'colselect',   'label' => 'Hover', 'description' => 'Feldfarbe', 'mod' => 'forms_background_hover_color2', 'default' => 'color22', 'transport' => 'refresh' ),
        '--FRtxtcolorHover' => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'forms_text_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--FRbocolorHover'  => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'forms_border_hover_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        
        'FRMshadowHoverEnable'   => array( 'section' => 'section_forms', 'type' => 'checkbox', 'label' => 'Schlagschatten bei Hover verändern', 'mod' => 'forms_shadow_hover_enable', 'default' => 0),
        'FRMsdwgroupHover'       => array( 'section' => 'section_forms', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'forms_shadow_hover_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'forms_shadow_hover_enable', 'value' => true ) ) ),
        '--FRMshadowHover'       => array( 'section' => 'section_forms', 'type' => 'shadow',     'mod' => 'forms_shadow_hover', 'default' => '--FRMshadow', 'dependency' => array( array( 'element' => 'forms_shadow_hover_enable', 'value' => true ) ) ),
        
        'FRSecseparator'    => array( 'section' => 'section_forms', 'type' => 'separator', 'label' => 'Sekundäres Feld', 'mod' => 'sep_forms_sec_colors2', ),
        '--FR2bgcolor'       => array( 'section' => 'section_forms', 'type' => 'colselect',    'description' => 'Feldfarbe', 'mod' => 'forms_sec_background_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--FR2phcolor'       => array( 'section' => 'section_forms', 'type' => 'colselect',    'description' => 'Platzhalterfarbe', 'mod' => 'forms_sec_placeholder_color2', 'default' => 'color22', 'transport' => 'refresh' ),
        '--FR2txtcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',    'description' => 'Schriftfarbe', 'mod' => 'forms_sec_text_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        
        '--FRM2borderRadius' => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_sec_border_radius', 'default' => 0, 'unit' => 'px' ),
        '--FR2bocolor'       => array( 'section' => 'section_forms', 'type' => 'colselect', 'label' => 'Rahmen', 'description' => 'Rahmenfarbe', 'mod' => 'forms_sec_border_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        '--FRM2borderWidth'  => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_sec_border_width', 'default' => 4, 'unit' => 'px' ),
        'FRM2group'          => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'einzelne Seiten', 'mod' => 'group_forms_sec_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--FRM2borderTop'    => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_sec_border_style_top', 'default' => 'none' ),
        '--FRM2borderLeft'   => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_sec_border_style_left', 'default' => 'none' ),
        '--FRM2borderRight'  => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_sec_border_style_right', 'default' => 'none' ),
        '--FRM2borderBottom' => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_sec_border_style_bottom', 'default' => 'solid' ),
        
        'FRM2shadowEnable'   => array( 'section' => 'section_forms', 'type' => 'checkbox',   'label' => 'Schlagschatten', 'mod' => 'forms_sec_shadow_enable', 'default' => 0),
        'FRM2sdwgroup'       => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'forms_sec_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'forms_sec_shadow_enable', 'value' => true ) ) ),
        '--FRM2shadow'       => array( 'section' => 'section_forms', 'type' => 'shadow',       'mod' => 'forms_sec_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'forms_sec_shadow_enable', 'value' => true ) ) ),
        
        '--FR2bgcolorHover'  => array( 'section' => 'section_forms', 'type' => 'colselect',  'label' => 'Hover', 'description' => 'Feldfarbe', 'mod' => 'forms_sec_background_hover_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--FR2txtcolorHover' => array( 'section' => 'section_forms', 'type' => 'colselect',    'description' => 'Schriftfarbe', 'mod' => 'forms_sec_text_hover_color2', 'default' => 'color23', 'transport' => 'refresh' ),
        '--FR2bocolorHover'  => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'forms_sec_border_hover_color2', 'default' => 'color11', 'transport' => 'refresh' ),
        
        'FRM2shadowHoverEnable'   => array( 'section' => 'section_forms', 'type' => 'checkbox', 'label' => 'Schlagschatten bei Hover verändern', 'mod' => 'forms_sec_shadow_hover_enable', 'default' => 0),
        'FRM2sdwgroupHover'       => array( 'section' => 'section_forms', 'type' => 'group',    'label' => 'Schlagschatten einstellen', 'mod' => 'forms_sec_shadow_hover_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'forms_sec_shadow_hover_enable', 'value' => true ) ) ),
        '--FRM2shadowHover'       => array( 'section' => 'section_forms', 'type' => 'shadow',     'mod' => 'forms_sec_shadow_hover', 'default' => '--FRM2shadow', 'dependency' => array( array( 'element' => 'forms_sec_shadow_hover_enable', 'value' => true ) ) ),
        
        'LBLColseparator'   => array( 'section' => 'section_forms', 'type' => 'separator',  'label' => 'Label', 'mod' => 'sep_forms_label' ),
        '--FRLtxtcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'forms_label_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),
        '--FRLfontFamily'   => array( 'section' => 'section_forms', 'type' => 'ffselect',     'mod' => 'forms_label_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--LBLfontSize'     => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_label_font_size', 'default' => 1, 'unit' => 'em' ),
        '--LBLfontWeight'   => array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_label_font_weight', 'default' => 400 ),
        '--LBLlineHeight'   => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_label_line_height', 'default' => '--lineHeight', 'unit' => '%' ),
        '--LBLmarginy'      => array( 'section' => 'section_forms', 'type' => 'range',        'lbl' => 'Abstand darunter:', 'mod' => 'forms_label_margin', 'default' => 5, 'unit' => 'px', 
                                                                                               'input_attrs' => array( 'min' => 0, 'max' => 50, 'step'  => 1 ) ),
        'LBLFnt2group'      => array( 'section' => 'section_forms', 'type' => 'group',      'label' => 'erweiterte Optionen', 'mod' => 'group_label_font_more', 'input_attrs' => array( 'children' => 6 ) ),
        '--LBLtextTransform'=> array( 'section' => 'section_forms', 'type' => 'select',       'mod' => 'forms_label_text_transform', 'default' => 'none' ),
        '--LBLletterSpacing'=> array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_label_letter_spacing', 'default' => '--letterSpacing', 'unit' => 'px' ),
        '--LBLwordSpacing'  => array( 'section' => 'section_forms', 'type' => 'range',        'mod' => 'forms_label_word_spacing', 'default' => '--wordSpacing', 'unit' => 'px' ),
        // '--LBLtextAlign'    => array( 'section' => 'section_forms', 'type' => 'select',       'description' => 'Text Align', 'mod' => 'forms_label_text_align', 'default' => '--textAlign' ),
        
        '--FRLreqcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',   'label' => 'Hinweis: *', 'description' => 'Farbe', 'mod' => 'forms_label_text_req_color2', 'default' => 'color43', 'transport' => 'refresh' ),
        '--FRLoptcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',   'label' => 'Hinweis: (optional)', 'description' => 'Farbe', 'mod' => 'forms_label_text_opt_color2', 'default' => 'color32', 'transport' => 'refresh' ),
        
        '--LBLfontSizeOptional' => array( 'section' => 'section_forms', 'type' => 'range',    'lbl' => 'Schriftgröße:', 'mod' => 'forms_label_font_size_opt', 'default' => 0.8, 'unit' => 'em' ),
        
        'TTColseparator'    => array( 'section' => 'section_forms', 'type' => 'separator',  'label' => 'Tooltips', 'description' => 'Hinweis Pop-ups beim Klick auf das Info-Icon', 'mod' => 'sep_forms_tooltips' ),
        '--TTfontSizeIcon' => array( 'section' => 'section_forms', 'type' => 'range',       'label' => 'Icon', 'lbl' => 'Größe:', 'mod' => 'forms_tooltips_font_size_icon', 'default' => 0.8, 'unit' => 'em' ),
        '--FRTicocolor'     => array( 'section' => 'section_forms', 'type' => 'colselect',  'description' => 'Farbe', 'mod' => 'forms_tooltips_icon_color2', 'default' => 'color32', 'transport' => 'refresh' ),
        '--FRTbgcolor'      => array( 'section' => 'section_forms', 'type' => 'colselect',   'label' => 'Pop-up', 'description' => 'Hintergrundfarbe', 'mod' => 'forms_tooltips_background_color2', 'default' => 'color62', 'transport' => 'refresh' ),
        '--FRTtxtcolor'     => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Schriftfarbe', 'mod' => 'forms_tooltips_text_color2', 'default' => 'color32', 'transport' => 'refresh' ),
        
        '--TTfontSize'     => array( 'section' => 'section_forms', 'type' => 'range',         'mod' => 'forms_tooltips_font_size', 'default' => 0.8, 'unit' => 'em' ),
        '--TTfontWeight'   => array( 'section' => 'section_forms', 'type' => 'select',        'mod' => 'forms_tooltips_font_weight', 'default' => 400 ),
        '--TTlineHeight'   => array( 'section' => 'section_forms', 'type' => 'range',         'mod' => 'forms_tooltips_line_height', 'default' => 120, 'unit' => '%' ),
        '--TTborderRadius' => array( 'section' => 'section_forms', 'type' => 'range',         'mod' => 'forms_tooltip_border_radius', 'default' => 3, 'unit' => 'px' ),
        
        'MSLCTseparator'        => array( 'section' => 'section_forms', 'type' => 'separator',  'label' => 'Multiselect', 'description' => 'Dropdown zur Mehrfachauswahl', 'mod' => 'sep_forms_multiselect' ),
        // 'MSLCTgroup'            => array( 'section' => 'section_forms', 'type' => 'group',  'label' => 'Einstellungen','description' => 'anpassen', 'mod' => 'group_multiselect', 'input_attrs' => array( 'children' => 8 ) ),
        '--MSLCTtagcolor'       => array( 'section' => 'section_forms', 'type' => 'colselect', 'label' => 'Tag', 'description' => 'Schriftfarbe', 'mod' => 'forms_multiselect_tag_color', 'default' => 'color31', 'transport' => 'refresh' ),
        '--MSLCTtagbgcolor'     => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Hintergrund', 'mod' => 'forms_multiselect_tag_bg_color', 'default' => 'color22', 'transport' => 'refresh' ),
        '--MSLCTtagbordercolor' => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Rahmen', 'mod' => 'forms_multiselect_tag_border_color', 'default' => 'color32', 'transport' => 'refresh' ),
        '--MSLCTtagcolor_h'         => array( 'section' => 'section_forms', 'type' => 'colselect', 'label' => 'Tag Hover', 'description' => 'Schriftfarbe', 'mod' => 'forms_multiselect_tag_color_hover', 'default' => 'color43', 'transport' => 'refresh' ),
        '--MSLCTtagbgcolor_h'       => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Hintergrund', 'mod' => 'forms_multiselect_tag_bg_color_hover', 'default' => 'color53', 'transport' => 'refresh' ),
        '--MSLCTtagbordercolor_h'   => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Rahmen', 'mod' => 'forms_multiselect_tag_border_color_hover', 'default' => 'color43', 'transport' => 'refresh' ),
        '--MSLCToptioncolor'    => array( 'section' => 'section_forms', 'type' => 'colselect', 'label' => 'Ausgewählte Option', 'description' => 'Schriftfarbe', 'mod' => 'forms_multiselect_option_color', 'default' => 'color31', 'transport' => 'refresh' ),
        '--MSLCToptionbgcolor'  => array( 'section' => 'section_forms', 'type' => 'colselect',   'description' => 'Hintergrund', 'mod' => 'forms_multiselect_option_bg_color', 'default' => 'color22', 'transport' => 'refresh' ),
        
        /* section 'section_messages' */
        'MGseparator'       => array( 'section' => 'section_messages', 'type' => 'separator','label' => 'Allgemein', 'mod' => 'sep_messages' ),
        '--MGfontFamily'    => array( 'section' => 'section_messages', 'type' => 'ffselect', 'label' => 'Schrift', 'mod' => 'messages_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--MGfontSize'      => array( 'section' => 'section_messages', 'type' => 'range',      'mod' => 'messages_font_size', 'default' => 1, 'unit' => 'em', 'input_attrs' => array( 'min' => 0.5, 'max' => 3, 'step'  => 0.05 ) ),
        '--MGfontWeight'    => array( 'section' => 'section_messages', 'type' => 'select',     'mod' => 'messages_font_weight', 'default' => 400 ),
        '--MGlineHeight'    => array( 'section' => 'section_messages', 'type' => 'range',      'mod' => 'messages_line_height', 'default' => 140, 'unit' => '%' ),
        '--MGborderRadius'  => array( 'section' => 'section_messages', 'type' => 'range',      'mod' => 'messages_border_radius', 'default' => 0, 'unit' => 'px' ),
        
        '--MGborderWidth'   => array( 'section' => 'section_messages', 'type' => 'range',      'label' => 'Rahmen', 'lbl' => 'Breite:', 'mod' => 'messages_border_width', 'default' => 0, 'unit' => 'px' ),
        'MGgroup'           => array( 'section' => 'section_messages', 'type' => 'group',      'label' => 'einzelne Seiten', 'mod' => 'group_messages_border', 'input_attrs' => array( 'children' => 4 ) ),
        '--MGborderTop'     => array( 'section' => 'section_messages', 'type' => 'select',       'mod' => 'messages_border_style_top', 'default' => 'solid' ),
        '--MGborderLeft'    => array( 'section' => 'section_messages', 'type' => 'select',       'mod' => 'messages_border_style_left', 'default' => 'solid' ),
        '--MGborderRight'   => array( 'section' => 'section_messages', 'type' => 'select',       'mod' => 'messages_border_style_right', 'default' => 'solid' ),
        '--MGborderBottom'  => array( 'section' => 'section_messages', 'type' => 'select',       'mod' => 'messages_border_style_bottom', 'default' => 'solid' ),
        'MGshadowEnable'    => array( 'section' => 'section_messages', 'type' => 'checkbox',   'label' => 'Schlagschatten', 'mod' => 'messages_shadow_enable', 'default' => 0),
        'MGsdwgroup'        => array( 'section' => 'section_messages', 'type' => 'group',      'label' => 'Schlagschatten einstellen', 'mod' => 'messages_shadow_group', 'input_attrs' => array( 'children' => 1 ), 'dependency' => array( array( 'element' => 'messages_shadow_enable', 'value' => true ) ) ),
        '--MGshadow'        => array( 'section' => 'section_messages', 'type' => 'shadow',       'mod' => 'messages_shadow', 'default' => 'none', 'dependency' => array( array( 'element' => 'messages_shadow_enable', 'value' => true ) ) ),
        
        '--MGpaddingy'      => array( 'section' => 'section_messages', 'type' => 'range',      'label' => 'Größen & Abstände', 'mod' => 'messages_paddingy', 'default' => 15, 'unit' => 'px', 
                                                                                                'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ) ),
        '--MGpaddingx'      => array( 'section' => 'section_messages', 'type' => 'range',       'mod' => 'messages_paddingx', 'default' => 25, 'unit' => 'px', 
                                                                                                'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ) ),
        '--MGmargin'        => array( 'section' => 'section_messages', 'type' => 'range',        'lbl' => 'Abstand oben/unten:', 'mod' => 'messages_margin', 'default' => 20, 'unit' => 'px', 
                                                                                                'input_attrs' => array( 'min' => 0, 'max' => 100, 'step'  => 1 ) ),

        'MGIseparator'       => array( 'section' => 'section_messages', 'type' => 'separator', 'label' => 'Hinweismeldung', 'mod' => 'sep_messages_info_colors2' ),
        '--MGItxtcolor'      => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_info_text_color2', 'default' => 'color41', 'transport' => 'refresh' ),
        '--MGIbgcolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_info_background_color2', 'default' => 'color51', 'transport' => 'refresh' ),
        '--MGIbocolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_info_border_color2', 'default' => 'color41', 'transport' => 'refresh' ),
        
        'MGSseparator'       => array( 'section' => 'section_messages', 'type' => 'separator', 'label' => 'Erfolgsmeldung', 'mod' => 'sep_messages_success_colors2' ),
        '--MGStxtcolor'      => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_success_text_color2', 'default' => 'color42', 'transport' => 'refresh' ),
        '--MGSbgcolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_success_background_color2', 'default' => 'color52', 'transport' => 'refresh' ),
        '--MGSbocolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_success_border_color2', 'default' => 'color42', 'transport' => 'refresh' ),
        
        'MGDseparator'       => array( 'section' => 'section_messages', 'type' => 'separator', 'label' => 'Fehlermeldung', 'mod' => 'sep_messages_danger_colors2' ),
        '--MGDtxtcolor'      => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_danger_text_color2', 'default' => 'color43', 'transport' => 'refresh' ),
        '--MGDbgcolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_danger_background_color2', 'default' => 'color53', 'transport' => 'refresh' ),
        '--MGDbocolor'       => array( 'section' => 'section_messages', 'type' => 'colselect',   'mod' => 'messages_danger_border_color2', 'default' => 'color43', 'transport' => 'refresh' ),
        
        /* section 'section_tables' */
        'TBLSep' => array( 'section' => 'section_tables', 'type' => 'separator', 'label' => 'Allgemein', 'mod' => 'sep_tables' ),

        '--TBLalign'        => array( 'section' => 'section_tables', 'type' => 'select',    'description' => 'Ausrichtung der Inhalte', 'mod' => 'table_align', 'default' => 'middle', 'choices' => array( 'top' => 'oben', 'middle' => 'mittig (Standard)', 'bottom' => 'unten' ) ),
        '--TBLbgcolor'      => array( 'section' => 'section_tables', 'type' => 'colselect',   'description' => 'Hintergrundfarbe', 'mod' => 'table_background_color2', 'default' => 'color63', 'transport' => 'refresh' ),
        '--TBLborderRadius' => array( 'section' => 'section_tables', 'type' => 'range',       'mod' => 'table_border_radius', 'default' => 4, 'unit' => 'px', ),

        'TBLborderEnable'   => array( 'section' => 'section_tables', 'type' => 'checkbox',  'label' => 'Rahmen außen', 'mod' => 'table_border_enable', 'default' => 0, ),
        '--TBLbordercolor'  => array( 'section' => 'section_tables', 'type' => 'colselect',   'description' => 'Rahmenfarbe', 'mod' => 'table_border_color2', 'default' => 'color33', 'transport' => 'refresh', 'dependency' => ['table_border_enable'] ),

        '--TBLborderWidth'  => array( 'section' => 'section_tables', 'type' => 'range',       'mod' => 'table_border_width', 'default' => 0, 'unit' => 'px', 'dependency' => 'table_border_enable' ),
        'TBLbordergroup'    => array( 'section' => 'section_tables', 'type' => 'group',     'label' => 'einzelne Seiten', 'mod' => 'group_table_border', 'input_attrs' => array( 'children' => 4 ), 'dependency' => 'table_border_enable' ),
        '--TBLborderTop'    => array( 'section' => 'section_tables', 'type' => 'select',      'mod' => 'table_border_style_top', 'default' => 'solid', 'dependency' => 'table_border_enable' ),
        '--TBLborderLeft'   => array( 'section' => 'section_tables', 'type' => 'select',      'mod' => 'table_border_style_left', 'default' => 'solid', 'dependency' => 'table_border_enable' ),
        '--TBLborderRight'  => array( 'section' => 'section_tables', 'type' => 'select',      'mod' => 'table_border_style_right', 'default' => 'solid', 'dependency' => 'table_border_enable' ),
        '--TBLborderBottom' => array( 'section' => 'section_tables', 'type' => 'select',      'mod' => 'table_border_style_bottom', 'default' => 'solid', 'dependency' => 'table_border_enable' ),

        'TBLheadSep'        => array( 'section' => 'section_tables', 'type' => 'separator', 'label' => 'Kopfzeilen', 'mod' => 'sep_table_head' ),

        '--TBLheadfontFamily'   => array( 'section' => 'section_tables', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'table_head_fontfamily', 'default' => 'fontFamily2', 'transport' => 'refresh' ),
        '--TBLheadfontSize'     => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_head_font_size', 'default' => 0.85, 'unit' => 'em' ),
        '--TBLheadfontWeight'   => array( 'section' => 'section_tables', 'type' => 'select',    'mod' => 'table_head_font_weight', 'default' => 600 ),
        '--TBLheadlineHeight'   => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_head_line_height', 'default' => 150, 'unit' => '%' ),
        'TBLheadfontgroup'      => array( 'section' => 'section_tables', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_table_head_font', 'input_attrs' => array( 'children' => 3 ) ),
        '--TBLheadtextTransform'=> array( 'section' => 'section_tables', 'type' => 'select',    'mod' => 'table_head_text_transform', 'default' => 'none' ),
        '--TBLheadletterSpacing'=> array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_head_letter_spacing', 'default' => 0, 'unit' => 'px' ),
        '--TBLheadwordSpacing'  => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_head_word_spacing', 'default' => 0, 'unit' => 'px' ),

        '--TBLheadtopbottom'    => array( 'section' => 'section_tables', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'table_head_topbottom', 'default' => 9, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 40, 'step'  => 1 ) ),

        '--TBLheadtxtcolor'     => array( 'section' => 'section_tables', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'table_head_text_color2', 'default' => 'color32', 'transport' => 'refresh' ),
        '--TBLheadbgcolor'      => array( 'section' => 'section_tables', 'type' => 'colselect',   'description' => 'Hintergrund', 'mod' => 'table_head_background_color2', 'default' => 'color33', 'transport' => 'refresh' ),

        'TBLheadbordersecEnable'   => array( 'section' => 'section_tables', 'type' => 'checkbox',  'label' => 'horizontale Trennlinie', 'mod' => 'table_head_border_enable_sec', 'default' => 0 ),
        '--TBLheadborderseccolor'  => array( 'section' => 'section_tables', 'type' => 'colselect',   'description' => 'Linienfarbe', 'mod' => 'table_head_border_color2_sec', 'default' => 'color22', 'transport' => 'refresh', 'dependency' => ['table_head_border_enable_sec'] ),

        '--TBLheadbordersecWidth'  => array( 'section' => 'section_tables', 'type' => 'range',       'mod' => 'table_head_border_width_sec', 'default' => 0, 'unit' => 'px', 'dependency' => 'table_head_border_enable_sec' ),
        '--TBLheadbordersecstyle'  => array( 'section' => 'section_tables', 'type' => 'select',      'description' => 'Stil', 'mod' => 'table_head_border_style_sec', 'default' => 'solid', 'dependency' => 'table_head_border_enable_sec' ),

        'TBLnormalSep'      => array( 'section' => 'section_tables', 'type' => 'separator', 'label' => 'Normale Zeilen', 'mod' => 'sep_table_normal' ),

        '--TBLfontFamily'   => array( 'section' => 'section_tables', 'type' => 'ffselect',  'label' => 'Schrift', 'mod' => 'table_fontfamily', 'default' => 'fontFamily1', 'transport' => 'refresh' ),
        '--TBLfontSize'     => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_font_size', 'default' => 1, 'unit' => 'em' ),
        '--TBLfontWeight'   => array( 'section' => 'section_tables', 'type' => 'select',    'mod' => 'table_font_weight', 'default' => 400 ),
        '--TBLlineHeight'   => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_line_height', 'default' => 150, 'unit' => '%' ),
        'TBLfontgroup'      => array( 'section' => 'section_tables', 'type' => 'group',     'label' => 'erweiterte Optionen', 'mod' => 'group_table_font', 'input_attrs' => array( 'children' => 3 ) ),
        '--TBLtextTransform'=> array( 'section' => 'section_tables', 'type' => 'select',    'mod' => 'table_text_transform', 'default' => 'none' ),
        '--TBLletterSpacing'=> array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_letter_spacing', 'default' => 0, 'unit' => 'px' ),
        '--TBLwordSpacing'  => array( 'section' => 'section_tables', 'type' => 'range',     'mod' => 'table_word_spacing', 'default' => 0, 'unit' => 'px' ),

        '--TBLtopbottom'    => array( 'section' => 'section_tables', 'type' => 'range',     'label' => 'Größen & Abstände', 'lbl' => 'Padding oben/unten:', 'mod' => 'table_topbottom', 'default' => 9, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 40, 'step'  => 1 ) ),
        '--TBLleftright'    => array( 'section' => 'section_tables', 'type' => 'range',     'lbl' => 'Padding seitlich:', 'mod' => 'table_leftright', 'default' => 12, 'unit' => 'px', 'input_attrs' => array( 'min' => 0, 'max' => 40, 'step'  => 1 ) ),

        '--TBLtxtcolor'     => array( 'section' => 'section_tables', 'type' => 'colselect', 'label' => 'Aussehen', 'description' => 'Schriftfarbe', 'mod' => 'table_text_color2', 'default' => 'color21', 'transport' => 'refresh' ),

        'TBLbordersecEnable'   => array( 'section' => 'section_tables', 'type' => 'checkbox',  'label' => 'horizontale Trennlinien', 'mod' => 'table_border_enable_sec', 'default' => 0, ),
        '--TBLborderseccolor'  => array( 'section' => 'section_tables', 'type' => 'colselect',   'description' => 'Linienfarbe', 'mod' => 'table_border_color2_sec', 'default' => 'color21', 'transport' => 'refresh', 'dependency' => ['table_border_enable_sec'] ),
        '--TBLbordersecWidth'  => array( 'section' => 'section_tables', 'type' => 'range',       'mod' => 'table_border_width_sec', 'default' => 0, 'unit' => 'px', 'dependency' => 'table_border_enable_sec' ),
        '--TBLbordersecstyle'  => array( 'section' => 'section_tables', 'type' => 'select',      'description' => 'Stil', 'mod' => 'table_border_style_sec', 'default' => 'solid', 'dependency' => 'table_border_enable_sec' ),
        
    );

    public static function process_control($val) {

        if (!isset($val['transport'])) $val['transport'] = "postMessage";
        if (!isset($val['priority'])) $val['priority'] = "";
        if (!isset($val['label'])) $val['label'] = "";
        if (!isset($val['description'])) $val['description'] = "";
        if (!isset($val['value'])) $val['value'] = "";
        if (!isset($val['input_attrs'])) $val['input_attrs'] = array();
        if (!isset($val['choices'])) $val['choices'] = array();
        if (!isset($val['class'])) $val['class'] = "";
        
        if ($val['type'] == 'range') {
            // Default Inputs
            if (empty($val['input_attrs'])) {
                if (strpos($val['mod'], 'font_size') > -1) {
                    if (!isset($val['unit'])) $val['unit'] = 'px';
                    if ($val['unit'] == 'px')
                        $val['input_attrs'] = array( 'min' => 5, 'max' => 40, 'step'  => 1 );
                    else if ($val['unit'] == 'em')
                        $val['input_attrs'] = array( 'min' => 0.5, 'max' => 2, 'step'  => 0.05 );
                    else if ($val['unit'] == '%')
                        $val['input_attrs'] = array( 'min' => 50, 'max' => 200, 'step'  => 10 );
                }
                if (strpos($val['mod'], 'font_weight') > -1)
                    $val['input_attrs'] = array( 'min' => 100, 'max' => 900, 'step'  => 100 );
                if (strpos($val['mod'], 'line_height') > -1)
                    $val['input_attrs'] = array( 'min' => 50, 'max' => 300, 'step'  => 10 );
                if (strpos($val['mod'], 'letter_spacing') > -1)
                    $val['input_attrs'] = array( 'min' => -5, 'max' => 20, 'step'  => 0.1 );
                if (strpos($val['mod'], 'word_spacing') > -1)
                    $val['input_attrs'] = array( 'min' => -5, 'max' => 20, 'step'  => 0.1 );
                
                if (strpos($val['mod'], 'border_width') > -1)
                    $val['input_attrs'] = array( 'min' => 0, 'max' => 10, 'step'  => 1 );
                if (strpos($val['mod'], 'border_radius') > -1)
                    $val['input_attrs'] = array( 'min' => 0, 'max' => 50, 'step'  => 1 );
            }
            // Range: Default Labels
            if (empty($val['lbl'])) {
                if (strpos($val['mod'], 'font_size') > -1)
                    $val['lbl'] = 'Schriftgröße:';
                if (strpos($val['mod'], 'font_weight') > -1)
                    $val['lbl'] = 'Schriftschnitt:';
                if (strpos($val['mod'], 'line_height') > -1)
                    $val['lbl'] = 'Zeilenhöhe:';
                if (strpos($val['mod'], 'letter_spacing') > -1)
                    $val['lbl'] = 'Zeichenabstand:';
                if (strpos($val['mod'], 'word_spacing') > -1)
                    $val['lbl'] = 'Wortabstand:';
                if (strpos($val['mod'], 'letter_spacing') > -1)
                    $val['lbl'] = 'Zeichenabstand:';
                if (strpos($val['mod'], 'border_radius') > -1)
                    $val['lbl'] = 'Eckenradius:';
                if (strpos($val['mod'], 'border_width') > -1)
                    $val['lbl'] = 'Stärke:';
                if (strpos($val['mod'], 'margin_top') > -1)
                    $val['lbl'] = 'Abstand darüber:';
                if (strpos($val['mod'], 'margin_bottom') > -1)
                    $val['lbl'] = 'Abstand darunter:';
                if (strpos($val['mod'], 'paddingy') > -1)
                    $val['lbl'] = 'Padding oben/unten:';
                if (strpos($val['mod'], 'paddingx') > -1)
                    $val['lbl'] = 'Padding seitlich:';
            }
            $val['input_attrs']['lbl'] = $val['lbl'];
            if (isset($val['unit'])) {
                $val['input_attrs']['unit'] = $val['unit'];
                $val['value'] = str_replace($val['unit'], "", $val['value']);
            }
        }
        else if ($val['type'] == 'select') {
            // Select: Default Labels
            if (empty($val['description'])) {
                if (strpos($val['mod'], 'font_weight') > -1)
                    $val['description'] = 'Schriftschnitt';
                if (strpos($val['mod'], 'text_transform') > -1)
                    $val['description'] = 'Schriftstil';
                if (strpos($val['mod'], 'text_decoration') > -1)
                    $val['description'] = 'Hervorhebung';
                if (strpos($val['mod'], 'border_style_top') > -1)
                    $val['description'] = 'Oben';
                if (strpos($val['mod'], 'border_style_left') > -1)
                    $val['description'] = 'Links';
                if (strpos($val['mod'], 'border_style_right') > -1)
                    $val['description'] = 'Rechts';
                if (strpos($val['mod'], 'border_style_bottom') > -1)
                    $val['description'] = 'Unten';
            }
            if (empty($val['choices'])) {
                if (strpos($val['mod'], 'text_align') > -1)
                    $val['choices'] = array( 
                        'left' => 'Links', 
                        'right' => 'Rechts', 
                        'center' => 'Zentriert', 
                        'justify' => 'Blocksatz' 
                    );
                if (strpos($val['mod'], 'text_transform') > -1)
                    $val['choices'] = array( 
                        'none' => 'normal', 
                        'uppercase' => 'Großbuchstaben', 
                        'lowercase' => 'Kleinbuchstaben', 
                        'capitalize' => 'Wortanfänge groß' 
                    );
                if (strpos($val['mod'], 'text_decoration') > -1)
                    $val['choices'] = array( 
                        'none' => 'keine', 
                        'underline' => 'unterstrichen', 
                        'line-through' => 'durchgestrichen'
                    );
                if (strpos($val['mod'], 'border_style') > -1)
                    $val['choices'] = array(
                        'none' => 'kein Rahmen',
                        'solid' => 'durchgängig —————————————————',
                        'dotted' => 'gepunktet ····················································',
                        'dashed' => 'gestrichelt - - - - - - - - - - - - - - - - - - - - - - - -',
                        'double' => 'doppelte Linie ════════════════════════',
                        'groove' => 'Absenkung (3D Effekt)',
                        'ridge' => 'Erhebung (3D Effekt)',
                    );
                if (strpos($val['mod'], 'font_weight') > -1)
                    $val['choices'] = array(
                        100 => '100 - extra thin',
                        200 => '200 - thin',
                        300 => '300 - light',
                        400 => '400 - regular',
                        500 => '500 - medium',
                        600  => '600 - semi-bold',
                        700  => '700 - bold',
                        800  => '800 - fat',
                        900  => '900 - extra-fat'
                    );
            }
        }
        else if ($val['type'] == 'colselect') {
            // Color: Default Labels
            if (empty($val['description'])) {
                if (strpos($val['mod'], 'text') > -1)
                    $val['description'] = 'Schriftfarbe';
                if (strpos($val['mod'], 'border') > -1)
                    $val['description'] = 'Rahmenfarbe';
                if (strpos($val['mod'], 'background') > -1)
                    $val['description'] = 'Hintergrundfarbe';
            }
        }
        else if ($val['type'] == 'ffselect') {
            // Font: Default Labels
            if (empty($val['description'])) {
                if (strpos($val['mod'], 'fontfamily') > -1 || strpos($val['mod'], 'font_family') > -1)
                    $val['description'] = 'Schriftfamilie';
            }
        }

        // translate
        if (isset($val['label'])) $val['label'] = __( $val['label'], 'core' );
        if (isset($val['description'])) $val['description'] = __( $val['description'], 'core' );
        if (isset($val['lbl'])) $val['lbl'] = __( $val['lbl'], 'core' );
        if (isset($val['input_attrs'])) {
            if (isset($val['input_attrs']['lbl'])) $val['input_attrs']['lbl'] = __( $val['input_attrs']['lbl'], 'core' );
            if (isset($val['input_attrs']['info'])) $val['input_attrs']['info'] = __( $val['input_attrs']['info'], 'core' );
            if (isset($val['input_attrs']['warning'])) $val['input_attrs']['warning'] = __( $val['input_attrs']['warning'], 'core' );
        }
        if (isset($val['choices'])) {
            foreach ($val['choices'] as $key => $title) {
                if (is_array($title) && isset($title['label']))
                    $val['choices'][$key]['label'] = _x( $title['label'], 'small', 'core');
                else $val['choices'][$key] = _x( $title, 'small', 'core' );
            }
        }
          
        return $val;
    }
}
